;CodeVisionAVR C Compiler V1.23.7a Standard
;(C) Copyright 1998-2002 HP InfoTech s.r.l.
;http://www.hpinfotech.ro
;e-mail:office@hpinfotech.ro

;Chip type           : ATmega16
;Program type        : Application
;Clock frequency     : 11.059200 MHz
;Memory model        : Small
;Optimize for        : Speed
;(s)printf features  : int, width
;Internal SRAM size  : 1024
;External SRAM size  : 0
;Data Stack size     : 256
;Promote char to int : No
;char is unsigned    : Yes
;8 bit enums         : Yes
;Enhanced core instructions    : On
;Automatic register allocation : On
;Use AVR Studio Terminal I/O   : No

	.LISTMAC
	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU USR=0xB
	.EQU UDR=0xC
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU SPSR=0xE
	.EQU SPDR=0xF
	.EQU EECR=0x1C
	.EQU EEDR=0x1D
	.EQU EEARL=0x1E
	.EQU EEARH=0x1F
	.EQU WDTCR=0x21
	.EQU MCUCR=0x35
	.EQU GICR=0x3B
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F
	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31
	.EQU __se_bit=0x40
	.EQU __sm_mask=0xB0
	.EQU __sm_adc_noise_red=0x10
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0xA0
	.EQU __sm_ext_standby=0xB0

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __CLRD1S
	CLR  R30
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+@1)
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+@1)
	LDI  R31,HIGH(@0+@1)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+@1)
	LDI  R31,HIGH(2*@0+@1)
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+@1)
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+@1)
	LDI  R27,HIGH(@0+@1)
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+@1
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	LDS  R22,@0+@1+2
	LDS  R23,@0+@1+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@2,@0+@1
	.ENDM

	.MACRO __GETWRMN
	LDS  R@2,@0+@1
	LDS  R@3,@0+@1+1
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+@1
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+@1
	LDS  R27,@0+@1+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+@1
	LDS  R27,@0+@1+1
	LDS  R24,@0+@1+2
	LDS  R25,@0+@1+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+@1,R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+@1,R30
	STS  @0+@1+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+@1,R30
	STS  @0+@1+1,R31
	STS  @0+@1+2,R22
	STS  @0+@1+3,R23
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+@1,R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+@1,R@2
	STS  @0+@1+1,R@3
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	ICALL
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	CLR  R0
	ST   Z+,R0
	ST   Z,R0
	.ENDM

	.MACRO __CLRD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	CLR  R0
	ST   Z+,R0
	ST   Z+,R0
	ST   Z+,R0
	ST   Z,R0
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R@1
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOV  R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOV  R30,R0
	.ENDM

	.CSEG
	.ORG 0

	.INCLUDE "callisto.vec"
	.INCLUDE "callisto.inc"
__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  GICR,R31
	OUT  GICR,R30
	OUT  MCUCR,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	OUT  WDTCR,R31
	LDI  R31,0x10
	OUT  WDTCR,R31

;CLEAR R2-R14
	LDI  R24,13
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(0x400)
	LDI  R25,HIGH(0x400)
	LDI  R26,0x60
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;GLOBAL VARIABLES INITIALIZATION
	LDI  R30,LOW(__GLOBAL_INI_TBL*2)
	LDI  R31,HIGH(__GLOBAL_INI_TBL*2)
__GLOBAL_INI_NEXT:
	LPM  R0,Z+
	LPM  R1,Z+
	MOVW R22,R30
	MOVW R30,R0
	SBIW R30,0
	BREQ __GLOBAL_INI_END
	LPM  R26,Z+
	LPM  R27,Z+
	LPM  R24,Z+
	LPM  R25,Z+
__GLOBAL_INI_LOOP:
	LPM  R0,Z+
	ST   X+,R0
	SBIW R24,1
	BRNE __GLOBAL_INI_LOOP
	MOVW R30,R22
	RJMP __GLOBAL_INI_NEXT
__GLOBAL_INI_END:

;STACK POINTER INITIALIZATION
	LDI  R30,LOW(0x45F)
	OUT  SPL,R30
	LDI  R30,HIGH(0x45F)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(0x160)
	LDI  R29,HIGH(0x160)

	JMP  _main

	.ESEG
	.ORG 0
	.DB  0 ; FIRST EEPROM LOCATION NOT USED, SEE ATMEL ERRATA SHEETS

	.DSEG
	.ORG 0x160
;       1 /*-----------------------------------------------------------------------*/
;       2 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;       3 /*-----------------------------------------------------------------------*/
;       4 /*  Programmname: callisto.c                                             */
;       5 /*                                                                       */
;       6 /*  Revision: V1.0     Date: 30.12.2002    Autor: Chr. Monstein          */
;       7 /*                                                                       */
;       8 /*  Purpose: Mainprogram of frequency agile Radiospectrometer CALLISTO   */
;       9 /*                                                                       */
;      10 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;      11 /*-----------------------------------------------------------------------*/
;      12 
;      13 // Created by: Chr. Monstein  26.11.2002 Begin
;      14 // Updated by: Chr. Monstein  02.12.2002 new flags introduced
;      15 // Updated by: Chr. Monstein  10.12.2002 new version
;      16 // Updated by: Chr. Monstein  27.12.2002 heater flags introduced
;      17 // Updated by: Chr. Monstein  28.12.2002 Test-table with tuner-frequencies introduced
;      18 // Updated by: Chr. Monstein  30.12.2002 adc-transmission without terminator
;      19 // Updated by: Meyer Hansueli 01.04.2003 Changed from At90S8535 to ATmega16 (11.0592MHz) 
;      20 // Updated by: Meyer Hansueli 12.05.2003 band barrier setting fot tuner0 and tuner1 introduced
;      21 // Updated by: Meyer Hansueli 01.07.2003 Watchdog introduced   
;      22 // Updated by: Meyer Hansueli 11.10.2003 observation mode in the mainloop introduced      
;      23 // Updated by: Chr. Monstein  17.08.2010 Spannungsteiler angepasst fuer HAM-Version
;      24 // Updated by: Chr. Monstein  21.09.2010 Anpassungen an 10Bit HAM
;      25 // Updated by: Chr. Monstein  21.06.2011 delete idlecount   
;      26 // Updated by: chr. Monstein  02.03.2012 new Quartz 25,43 MHz
;      27 //-------------------------------------------------------------------------------------
;      28 // Include files
;      29 #include <stdio.h>  
;      30 #include <string.h> 
;      31 #include <delay.h>
;      32 #include <spi.h>  
;      33 #include <mega16.h> 
;      34 #include <stdlib.h>
;      35   
;      36 #include "callisto.h"   
;      37 #include "rs232.h"  
;      38 #include "command.h"
;      39 #include "digital_io.h" 
;      40 #include "tuner.h"     
;      41 #include "adc.h"
;      42 #include "timer.h" 
;      43 #include "inteeprom.h"  
;      44 #include "spieeprom.h"  
;      45 #include "setfopa.h"  
;      46 
;      47 
;      48 //-------------------------------------------------------------------------------------
;      49 // Global Variables (Public)
;      50 char initial[] = "e-Callisto ETH Zurich"; // < 20 Bytes! 
_initial:
	.BYTE 0x16
;      51 //char version[] = "V1.6, 2010-08-17";              
;      52 //char version[] = "V1.7, 2011-06-21";              
;      53 char version[] = "V1.8 / 2012-03-02";              
_version:
	.BYTE 0x12
;      54 
;      55 bit debug;          	// shall we send acknowledge back to the host? 
;      56 bit adc_command=false;  // transmit adc value or not
;      57 bit softtrigger;    	// software triggered ADC?   
;      58 bit timertrigger;   	// timer pacer triggered ADC?
;      59 bit externtrigger;  	// external triggered ADC?      
;      60 bit continuous;     	// steady recording?
;      61 bit transferdata;   	// transfer data from mainboard to host?   
;      62 bit stoptransfer;	  	// stop the transfer in the interrupt routine   
;      63 bit eot_flag;           // send eot character when transmission has finished
;      64 bit send_result;
;      65 
;      66 extern bit rx_buffer_overflow; //from rs232.c file imported
;      67 extern Byte rx_counter; //from rs232.c file imported   
;      68 extern Word adc_value;	// import from adc.c                         
;      69 extern Word low_band_max; // import from command.c 	
;      70 extern Word mid_band_max;  // import from command.c 	
;      71 extern Word high_band_max; // import from command.c  
;      72 
;      73 Byte set_once;           // don't send the first two results
;      74 Byte not_send;           // don't send the first two results
;      75 Byte send_once;          // import from timer.c    
;      76 Byte FPUcodex;           // import from callisto.c 
;      77 bit reset_flag;	         // used to test the watchdog   
;      78 Word result;             // state machine tuner value
;      79 
;      80 Word counter;       	 // count the measured frequencies used in command.c (GH)
;      81 //Word idlecount;     	 // something to count
;      82 Word number_count; 	 // count the measured frequencies
;      83 Word stepcount;          // count the integration steps
_stepcount:
	.BYTE 0x2
;      84 Word measuringtime; 	 // delay between software triggered measurements
_measuringtime:
	.BYTE 0x2
;      85 
;      86 
;      87 float uin;       		// used to read the system voltages, temperature and humidity
_uin:
	.BYTE 0x4
;      88 float rht;       		// used to read the system voltages, temperature and humidity 
_rht:
	.BYTE 0x4
;      89 float frequency; 		// Actual frequency  
_frequency:
	.BYTE 0x4
;      90 
;      91 eeprom float rx_init=(PopularRadio); // Power up with most popular receiving frequency

	.ESEG
_rx_init:
	.DW  0x3333,0x42D3
;      92 eeprom float if_init=(RX_IF); 	// Power up if-center-frequency    
_if_init:
	.DW  0x851F,0x4210
;      93 
;      94 //-------------------------------------------------------------------------------------
;      95 void main( void ) // Testprogram to take control of ATmega16-functions
;      96 {                        

	.CSEG
_main:
;      97 	char runcomm [RX_BUFFER_SIZE+1] = ""; 	// space MUST be reserved!
;      98 	char data = '\0';      				// Buffer for one single incoming byte to work with
;      99 	char tmp[16]="";  				// string buffer  
;     100 	Byte cmdcount = 0;     				// counts the incoming bytes from RS232 port 
;     101 	debug         = false; 				// per default no acknowledge to the host
	SBIW R28,63
	SBIW R28,26
	LDI  R24,80
	CLR  R26
	CLR  R27
	LDI  R30,LOW(_0x5A*2)
	LDI  R31,HIGH(_0x5A*2)
	CALL __INITLOCB
;	runcomm -> Y+16
;	data -> R16
;	tmp -> Y+0
;	cmdcount -> R17
	LDI  R16,0
	LDI  R17,0
	CLT
	BLD  R2,0
;     102 	softtrigger   = false; 				// per default no software triggered ADC   
	CLT
	BLD  R2,2
;     103 	timertrigger  = false; 				// per default no pacer timer triggered ADC
	CLT
	BLD  R2,3
;     104 	externtrigger = false; 				// per default no external triggered ADC 
	CLT
	BLD  R2,4
;     105  	stoptransfer  = false;                          // per default transfer data
	CLT
	BLD  R2,7
;     106 	transferdata  = true;  		                // per default don't transfer data from mainboard to host 	 			
	SET
	BLD  R2,6
;     107 	continuous    = false; 				// per default no recording initially
	CLT
	BLD  R2,5
;     108 	eot_flag      = false; 				// don't send the eot character      
	CLT
	BLD  R3,0
;     109 	send_once     = true;                           // send the eot character once
	LDI  R30,LOW(1)
	MOV  R6,R30
;     110 	reset_flag    = true;				// watchdog on at start	
	SET
	BLD  R3,3
;     111 	set_once      = true;                           // send one result per step in the interrupt
	MOV  R4,R30
;     112 	not_send      = false;                          // don't send the first two bytes of main process
	CLR  R5
;     113 	send_result=false;                              // no data sending at start
	CLT
	BLD  R3,1
;     114 	measuringtime = 0;     			        // per default no delay, full speed during design phase, later -> 1msec	
	CLR  R30
	STS  _measuringtime,R30
	STS  _measuringtime+1,R30
;     115 	
;     116 	low_band_max=171; 			        // Init band barriers of tuner
	LDI  R30,LOW(171)
	LDI  R31,HIGH(171)
	STS  _low_band_max,R30
	STS  _low_band_max+1,R31
;     117 	sprintf(tmp,"%u",low_band_max);   
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _89,0
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_low_band_max
	LDS  R31,_low_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
;     118 	EEPROM_write(address_lowband, tmp);             // write  to internal EEPROM
	LDI  R30,LOW(115)
	LDI  R31,HIGH(115)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	ST   -Y,R31
	ST   -Y,R30
	CALL _EEPROM_write
;     119  	mid_band_max=450;  			        // Init band barriers of tuner
	LDI  R30,LOW(450)
	LDI  R31,HIGH(450)
	STS  _mid_band_max,R30
	STS  _mid_band_max+1,R31
;     120   	sprintf(tmp,"%u",mid_band_max);   
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _89,3
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_mid_band_max
	LDS  R31,_mid_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
;     121 	EEPROM_write(address_midband, tmp);             // write  to internal EEPROM
	LDI  R30,LOW(120)
	LDI  R31,HIGH(120)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	ST   -Y,R31
	ST   -Y,R30
	CALL _EEPROM_write
;     122 	high_band_max=863;                              // Init band barriers of tuner
	LDI  R30,LOW(863)
	LDI  R31,HIGH(863)
	STS  _high_band_max,R30
	STS  _high_band_max+1,R31
;     123 	sprintf(tmp,"%u",high_band_max);   
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _89,6
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_high_band_max
	LDS  R31,_high_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
;     124 	EEPROM_write(address_highband, tmp);            // write  to internal EEPROM
	LDI  R30,LOW(125)
	LDI  R31,HIGH(125)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	ST   -Y,R31
	ST   -Y,R30
	CALL _EEPROM_write
;     125 	
;     126 	InitDigital_IO(); 				// Set I/O-ports and bits     	   	
	RCALL _InitDigital_IO
;     127 	InitUSART(); 					// Set the baudrate to 115,200 bps using a 11.0592MHz crystal
	RCALL _InitUSART
;     128 	InitADC(); 					// ADC initialization, Clock frequency: 57.656 kHz, Interrupts: On  
	RCALL _InitADC
;     129 	I2C_Init();                                     // Prepare I2C-bus
	RCALL _I2C_Init
;     130 	Init_Watchdog(); 				// Watchdog Timer Initialization	
	CALL _Init_Watchdog
;     131 	TriggerADC(1);                                  // triger ADC for the first time	
	LDI  R30,LOW(1)
	ST   -Y,R30
	RCALL _TriggerADC
;     132  	delay_ms(100); 					// not neccessary for <= 19'200Baud 	
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	ST   -Y,R31
	ST   -Y,R30
	CALL _delay_ms
;     133  	TriggerADC(0);                                  // triger ADC for the first time
	CLR  R30
	ST   -Y,R30
	RCALL _TriggerADC
;     134 
;     135 	#asm("sei()") 					// Enable interrupts => enable USART interrupts
	sei()
;     136                     
;     137  	printf("$CRX:%s\r",initial);                    // Start message (title)
	__POINTW1FN _89,9
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_initial)
	LDI  R31,HIGH(_initial)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     138   	printf("$CRX:%s\r",version); 	                // Start message (version)  		 	
	__POINTW1FN _89,18
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_version)
	LDI  R31,HIGH(_version)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     139 	
;     140  	SetTuner(rx_init);  		                // Set tuner to the most popular radio transmitter
	LDI  R26,LOW(_rx_init)
	LDI  R27,HIGH(_rx_init)
	CALL __EEPROMRDD
	CALL __PUTPARD1
	RCALL _SetTuner
;     141  
;     142 	while(1)  					// Do, as long as power is available...
_0x5B:
;     143 	{           
;     144 		if (rx_counter>0) 			// if data in RX buffer
	LDS  R26,_rx_counter
	CLR  R30
	CP   R30,R26
	BRLO PC+3
	JMP _0x5E
;     145 		{
;     146 			data = getchar() & 0x7F; 	// Store the received character
	CALL _getchar
	ANDI R30,0x7F
	MOV  R16,R30
;     147 			if (data==carriage_return) 	// Transmission terminator available?
	CPI  R16,13
	BRNE _0x5F
;     148 			{    
;     149 				runcomm[cmdcount]='\0'; // Terminate running command
	MOV  R30,R17
	CLR  R31
	MOVW R26,R28
	ADIW R26,16
	ADD  R26,R30
	ADC  R27,R31
	CLR  R30
	ST   X,R30
;     150 				cmdcount=0; 			// Reset command byte counter
	LDI  R17,LOW(0)
;     151 				CommandInterpreter(runcomm); 	// Interpretation of command string
	MOVW R30,R28
	ADIW R30,16
	ST   -Y,R31
	ST   -Y,R30
	CALL _CommandInterpreter
;     152 				if (debug)
	SBRS R2,0
	RJMP _0x60
;     153 				{
;     154 					printf("$CRX:Command=<%s>\r",runcomm); // Message to host
	__POINTW1FN _89,27
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,18
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     155 				}
;     156 				runcomm[0]='\0'; 	 // Delete and terminate running command 
_0x60:
	CLR  R30
	STD  Y+16,R30
;     157 			}
;     158 			else
	RJMP _0x61
_0x5F:
;     159 			{
;     160 				runcomm[cmdcount++]=data; // put next character into tar-command-string
	MOV  R30,R17
	SUBI R17,-1
	CLR  R31
	MOVW R26,R28
	ADIW R26,16
	ADD  R26,R30
	ADC  R27,R31
	ST   X,R16
;     161 				if (rx_buffer_overflow>0) //(cmdcount>UART_RX_BUFFER_SIZE) 
	CLR  R30
	SBRC R3,2
	LDI  R30,1
	MOV  R26,R30
	CLR  R30
	CP   R30,R26
	BRSH _0x62
;     162 				{
;     163 					printf("$CRX:RX_buffer_overflow\r"); 
	__POINTW1FN _89,46
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;     164 					cmdcount = 0; 	          // Reset string because it is too long 
	LDI  R17,LOW(0)
;     165 					rx_buffer_overflow = 0;   // reset error
	CLT
	BLD  R3,2
;     166 				  	runcomm[cmdcount] = '\0'; // Kill running command
	MOV  R30,R17
	CLR  R31
	MOVW R26,R28
	ADIW R26,16
	ADD  R26,R30
	ADC  R27,R31
	CLR  R30
	ST   X,R30
;     167 				}
;     168 			}              
_0x62:
_0x61:
;     169 		} // end if (DataInReceiveBuffer())
;     170 		else
_0x5E:
;     171 		{     
;     172 			// idle
;     173 		}
;     174 		if (send_result) 
	SBRS R3,1
	RJMP _0x64
;     175 		{
;     176 		    printf("%04X",result);      // 10bit
	__POINTW1FN _89,71
	ST   -Y,R31
	ST   -Y,R30
	__GETW1R 8,9
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     177 		    send_result = false;
	CLT
	BLD  R3,1
;     178 		}  			
;     179 	} // end for( ; ; ) 
_0x64:
	RJMP _0x5B
;     180 }
	ADIW R28,63
	ADIW R28,26
_0x65:
	RJMP _0x65
;     181 //-------------------------------------------------------------------------------------
;     182 /*-----------------------------------------------------------------------*/
;     183 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;     184 /*-----------------------------------------------------------------------*/
;     185 /*  Programmname: digital_io.c                                           */
;     186 /*                                                                       */
;     187 /*  Revision: V1.0     Date: 30.11.2002    Autor: Chr. Monstein          */
;     188 /*                                                                       */
;     189 /*  Purpose: Initializes, Sets and Resets bits on Digital Input/Output   */
;     190 /*                                                                       */
;     191 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;     192 /*-----------------------------------------------------------------------*/
;     193 
;     194 // Created by: Chr. Monstein 26.11.2002  
;     195 // Updated by: Chr. Monstein 30.11.2002
;     196 // Updated by: Chr. Monstein 30.11.2002
;     197 // Updated by: Meyer Hasnueli 08.04.2003 SPI outputs set
;     198 //-------------------------------------------------------------------------------------
;     199 
;     200 #include <mega16.h>
;     201 #include <stdio.h> 
;     202 #include <stdlib.h>
;     203    
;     204 #include "callisto.h"   
;     205 #include "rs232.h"  
;     206 #include "command.h"
;     207 #include "digital_io.h" 
;     208 #include "tuner.h"     
;     209 #include "adc.h"
;     210 #include "timer.h" 
;     211 #include "inteeprom.h"  
;     212 #include "spieeprom.h"
;     213 
;     214 //-------------------------------------------------------------------------------------
;     215 void InitDigital_IO(void)
;     216 {
_InitDigital_IO:
;     217 	// Data Direction Register Port C
;     218 	DDRC=0xFF; 				// Port C all bits output for debugging via STK500
	LDI  R30,LOW(255)
	OUT  0x14,R30
;     219  	PORTC=0xFF; 				// set all LEDs dark...	
	OUT  0x15,R30
;     220  	
;     221  	PORTD=0x3F; 				// Port D initialization
	LDI  R30,LOW(63)
	OUT  0x12,R30
;     222 	DDRD=0xF3;                              // Port PD7 PWM output
	LDI  R30,LOW(243)
	OUT  0x11,R30
;     223       
;     224  	// Data Direction Register Port B
;     225 	// SPI initialization
;     226 	// SPI Type: Master
;     227 	// SPI Clock Rate: 2764.800 kHz relates to a MHz crystal
;     228 	// SPI Clock Phase: Cycle Half
;     229 	// SPI Data Order: MSB First	
;     230  	DDRB=0xBC; 	//SPI Bus I/O, SCK=out, MISO=IN, MOSI=out, CS=out
	LDI  R30,LOW(188)
	OUT  0x17,R30
;     231  	SPCR=0x50; 
	LDI  R30,LOW(80)
	OUT  0xD,R30
;     232 	PORTB=0xB7;   
	LDI  R30,LOW(183)
	OUT  0x18,R30
;     233         
;     234 	
;     235 	// Timer/Counter 2 initialization
;     236 	// Clock source: System Clock
;     237 	// Clock value: 11059.200 kHz
;     238 	// Mode: Phase correct PWM top=FFh
;     239 	// OC2 output: Non-Inverted PWM
;     240 	ASSR=0x00;
	CLR  R30
	OUT  0x22,R30
;     241 	TCCR2=0x61;
	LDI  R30,LOW(97)
	OUT  0x25,R30
;     242 	TCNT2=0x00;
	CLR  R30
	OUT  0x24,R30
;     243 	OCR2=0x00;	
	OUT  0x23,R30
;     244 }
	RET
;     245 //-------------------------------------------------------------------------------------
;     246 /*-----------------------------------------------------------------------*/
;     247 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;     248 /*-----------------------------------------------------------------------*/
;     249 /*  Programmname: tuner.c                                                */
;     250 /*                                                                       */
;     251 /*  Revision: V1.2     Date: 10.12.2002    Autor: Chr. Monstein          */
;     252 /*                                                                       */
;     253 /*  Purpose: Transmits i2c-signals to the Philips TV-tuner CD1316        */
;     254 /*                                                                       */
;     255 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;     256 /*-----------------------------------------------------------------------*/
;     257 
;     258 // Created by: Chr. Monstein 16.04.2001
;     259 // Updated by: Chr. Monstein 30.11.2002 Adaption to Callisto
;     260 // Updated by: Chr. Monstein 10.12.2002 synthesizer_resolution KHz->MHz
;     261 // Updated by: Chr. Monstein 21.09.2010 Anpassungen an 10Bit HAM
;     262 
;     263 //---------------------------------------------------------------------------  
;     264 // Include files
;     265 #include <mega16.h>
;     266 #include <stdio.h> 
;     267 #include <stdlib.h>
;     268   
;     269 #include "callisto.h"   
;     270 #include "rs232.h"  
;     271 #include "command.h"
;     272 #include "digital_io.h" 
;     273 #include "tuner.h"     
;     274 #include "adc.h"
;     275 #include "timer.h" 
;     276 #include "inteeprom.h"  
;     277 #include "spieeprom.h"
;     278 
;     279 //---------------------------------------------------------------------------
;     280 // Global variables import/export
;     281 extern Word low_band_max;   			
;     282 extern Word mid_band_max;  			
;     283 extern Word high_band_max;  
;     284 
;     285 //---------------------------------------------------------------------------
;     286 void I2C_Init(void)
;     287 {    
_I2C_Init:
;     288    SCL = 1;
	SBI  0x12,4
;     289    SDA = 1;                  
	SBI  0x12,5
;     290 } 
	RET
;     291 //---------------------------------------------------------------------------
;     292 void I2C_SDA(Byte arg)
;     293 {                     
_I2C_SDA:
;     294    if (arg)
	LD   R30,Y
	CPI  R30,0
	BREQ _0xC7
;     295      SDA = 1;
	SBI  0x12,5
;     296    else
	RJMP _0xC8
_0xC7:
;     297      SDA = 0;
	CBI  0x12,5
_0xC8:
;     298 }
	RJMP _0x56A
;     299 //---------------------------------------------------------------------------
;     300 void I2C_SCL(Byte arg)
;     301 {                     
_I2C_SCL:
;     302    if (arg)
	LD   R30,Y
	CPI  R30,0
	BREQ _0xCA
;     303      SCL = 1;
	SBI  0x12,4
;     304    else
	RJMP _0xCB
_0xCA:
;     305      SCL = 0;
	CBI  0x12,4
_0xCB:
;     306 }
	RJMP _0x56A
;     307 //---------------------------------------------------------------------------
;     308 void I2C_Start(void) 
;     309 {                     
_I2C_Start:
;     310    I2C_SDA(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SDA
;     311    I2C_SCL(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SCL
;     312    I2C_SDA(1);
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _I2C_SDA
;     313    I2C_SCL(1);
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _I2C_SCL
;     314    I2C_SDA(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SDA
;     315    I2C_SCL(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SCL
;     316 }
	RET
;     317 //---------------------------------------------------------------------------
;     318 void I2C_Stop(void)
;     319 {          
_I2C_Stop:
;     320    I2C_SDA(0);           
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SDA
;     321    I2C_SCL(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SCL
;     322    I2C_SCL(1);
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _I2C_SCL
;     323    I2C_SDA(1);           
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _I2C_SDA
;     324 }
	RET
;     325 //---------------------------------------------------------------------------
;     326 void I2C_Wrbyte(Byte arg) // write 1 byte to device, serial output, MSB first
;     327 {                              
_I2C_Wrbyte:
;     328     Byte x;
;     329     Byte power = 128;
;     330     for (x=1; x<=8; x++)
	ST   -Y,R17
	ST   -Y,R16
;	arg -> Y+2
;	x -> R16
;	power -> R17
	LDI  R17,128
	LDI  R16,LOW(1)
_0xD0:
	LDI  R30,LOW(8)
	CP   R30,R16
	BRLO _0xD1
;     331     {
;     332        I2C_SDA(0); 
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SDA
;     333        I2C_SCL(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SCL
;     334        if ((arg & power) == power)
	MOV  R30,R17
	LDD  R26,Y+2
	AND  R30,R26
	CP   R17,R30
	BRNE _0xD2
;     335        {
;     336           I2C_SDA(1);
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _I2C_SDA
;     337           I2C_SCL(1);
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _I2C_SCL
;     338           I2C_SCL(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SCL
;     339           I2C_SDA(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SDA
;     340        }
;     341        else 
	RJMP _0xD3
_0xD2:
;     342        {
;     343           I2C_SDA(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SDA
;     344           I2C_SCL(1);
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _I2C_SCL
;     345           I2C_SCL(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SCL
;     346        }   
_0xD3:
;     347        power = power / 2;
	LSR  R17
;     348     }   
	SUBI R16,-1
	RJMP _0xD0
_0xD1:
;     349     // get acknowledge       
;     350     I2C_SCL(1);
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _I2C_SCL
;     351     I2C_SCL(0);
	CLR  R30
	ST   -Y,R30
	CALL _I2C_SCL
;     352 }
	LDD  R17,Y+1
	LDD  R16,Y+0
	ADIW R28,3
	RET
;     353 //---------------------------------------------------------------------------
;     354 void SetTuner(float actualfrequency) // set tuner to new frequency
;     355 {
_SetTuner:
;     356     Word divider;
;     357     Byte db1, db2;  			// divider byte 1 and 2
;     358     Byte adb, cb, bb; 			// address byte, control byte 1 and 2
;     359 
;     360     adb = 128 + 64 + 0; 		// evaluate tuner adress byte 110000xxB
	SBIW R28,1
	CALL __SAVELOCR6
;	actualfrequency -> Y+7
;	divider -> R16,R17
;	db1 -> R18
;	db2 -> R19
;	adb -> R20
;	cb -> R21
;	bb -> Y+6
	LDI  R20,LOW(192)
;     361     
;     362     // estimate oscillator divider bytes
;     363     divider=(unsigned int)( (actualfrequency+if_init)/synthesizer_resolution); // MHz->KHz->channel
	MOVW R26,R28
	ADIW R26,7
	CALL __GETD1P
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	LDI  R26,LOW(_if_init)
	LDI  R27,HIGH(_if_init)
	CALL __EEPROMRDD
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDF12
	MOVW R26,R30
	MOVW R24,R22
	__GETD1N 0x3D800000
	CALL __DIVF21
	CALL __CFD1
	__PUTW1R 16,17
;     364     db1 = (Byte) (divider / 256); 	// evaluate first data byte
	__GETW1R 16,17
	MOV  R30,R31
	CLR  R31
	MOV  R18,R30
;     365     db2 = (Byte) (divider % 256); 	// evaluate second data byte
	__GETW1R 16,17
	ANDI R31,HIGH(0xFF)
	MOV  R19,R30
;     366 
;     367     cb = 128 + 64 + 4 + 2; 		// tuner control byte 62.5khz
	LDI  R21,LOW(198)
;     368  
;     369     // bb setting according to oscillator frequency (band select)
;     370     if (actualfrequency <= low_band_max) 	// low band 51-171MHz = 00000001
	LDS  R30,_low_band_max
	LDS  R31,_low_band_max+1
	__GETD2S 7
	CLR  R22
	CLR  R23
	CALL __CDF1
	CALL __CMPF12
	BREQ PC+4
	BRCS PC+3
	JMP  _0xD5
;     371         bb = 1; 
	LDI  R30,LOW(1)
	STD  Y+6,R30
;     372     else
	RJMP _0xD6
_0xD5:
;     373     {
;     374         if (actualfrequency <= mid_band_max) // mid band 178-450MHz = 00000010
	LDS  R30,_mid_band_max
	LDS  R31,_mid_band_max+1
	__GETD2S 7
	CLR  R22
	CLR  R23
	CALL __CDF1
	CALL __CMPF12
	BREQ PC+4
	BRCS PC+3
	JMP  _0xD7
;     375             bb = 2; 
	LDI  R30,LOW(2)
	RJMP _0x56B
;     376         else 				// high band 458-858MHz = 00000100
_0xD7:
;     377             bb = 4; 
	LDI  R30,LOW(4)
_0x56B:
	STD  Y+6,R30
;     378     }            
_0xD6:
;     379                   
;     380     // Output sequence to device via digital-I/O-Port, send start bit first
;     381     I2C_Start();
	CALL _I2C_Start
;     382     
;     383     I2C_Wrbyte(adb); // Send address byte
	ST   -Y,R20
	CALL _I2C_Wrbyte
;     384     I2C_Wrbyte(db1); // Send divider byte 1
	ST   -Y,R18
	CALL _I2C_Wrbyte
;     385     I2C_Wrbyte(db2); // Send divider byte 2
	ST   -Y,R19
	CALL _I2C_Wrbyte
;     386     I2C_Wrbyte(cb);  // Send control byte
	ST   -Y,R21
	CALL _I2C_Wrbyte
;     387     I2C_Wrbyte(bb);  // Send band-switch byte
	LDD  R30,Y+6
	ST   -Y,R30
	CALL _I2C_Wrbyte
;     388     
;     389     // Send stopp bit
;     390     I2C_Stop();
	CALL _I2C_Stop
;     391 }
	CALL __LOADLOCR6
	ADIW R28,11
	RET
;     392 //---------------------------------------------------------------------------
;     393 
;     394 
;     395 
;     396 
;     397 
;     398 
;     399 
;     400 
;     401 
;     402 
;     403 
;     404 
;     405 /*-----------------------------------------------------------------------*/
;     406 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;     407 /*-----------------------------------------------------------------------*/
;     408 /*  Programmname: adc.c                                                  */
;     409 /*                                                                       */
;     410 /*  Revision: V1.0     Date: 30.12.2002    Autor: Chr. Monstein          */
;     411 /*                                                                       */
;     412 /*  Purpose: AnalogToDigital-Converter Radiospectrometer CALLISTO        */
;     413 /*                                                                       */
;     414 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;     415 /*-----------------------------------------------------------------------*/
;     416 
;     417 // Created by: Chr. Monstein 30.11.2002
;     418 // Updated by: Chr. Monstein 09.12.2002 ADC-format changed form ASCII mV to HEX &
;     419 // -ADC samples 32 times faster
;     420 // Updated by: Chr. Monstein 15.12.2002 serial output via printf() instead of TransmitString()
;     421 // Updated by: Chr. Monstein 28.12.2002 adc transmission with 4 different formats
;     422 // Updated by: Chr. Monstein 30.12.2002 test adc transmission without terminator [SendString()]
;     423 // Updated by: Chr. Monstein 03.04.2003 changed from AT90S5835 to ATmega16    
;     424 // Updated by: Meyer Hansueli 05.05.2003 new function implemented READ_ADC   
;     425 // Updated by: Meyer Hansueli 07.10.2003 new function Evaluate_ADC
;     426 // Updated by: Chr. Monstein: 21.09.2010 // Anpassungen an 10Bit HAM
;     427 
;     428 //-------------------------------------------------------------------------------------
;     429 #include <mega16.h>
;     430 #include <stdio.h> 
;     431 #include <stdlib.h>
;     432 
;     433 #include "callisto.h"   
;     434 #include "rs232.h"  
;     435 #include "command.h"
;     436 #include "digital_io.h" 
;     437 #include "tuner.h"     
;     438 #include "adc.h"
;     439 #include "timer.h" 
;     440 #include "inteeprom.h"  
;     441 #include "spieeprom.h"  
;     442 
;     443 //-------------------------------------------------------------------------------------
;     444 // global data (import/export)
;     445 bit adc_ready = false;
;     446 Word adc_value; 

	.DSEG
_adc_value:
	.BYTE 0x2
;     447 
;     448 extern bit adc_command; // import from callisto.c
;     449 extern Byte format;     // import from command.c
;     450 extern float frequency; // import from command.c      
;     451 extern float uin;       // import from command.c
;     452 extern float rht;       // import from command.c
;     453 
;     454 //-------------------------------------------------------------------------------------
;     455 void TransmitADC(Word value) 							// Send ADC value to the host (debugging tool)
;     456 {

	.CSEG
_TransmitADC:
;     457 	char temp[12] = ""; 
;     458 	Word f_MHz;     							// temporary frequency  
;     459   	float u;                                                
;     460 	switch(format) 								// attention: different transmission versions used [TransmitString()/printf())]
	SBIW R28,16
	LDI  R24,12
	LDI  R26,LOW(4)
	LDI  R27,HIGH(4)
	LDI  R30,LOW(_0x109*2)
	LDI  R31,HIGH(_0x109*2)
	CALL __INITLOCB
	ST   -Y,R17
	ST   -Y,R16
;	value -> Y+18
;	temp -> Y+6
;	f_MHz -> R16,R17
;	u -> Y+2
	LDS  R30,_format
;     461 	{
;     462 		case 0: 								// decimal 10bit
	CPI  R30,0
	BRNE _0x10D
;     463 		{
;     464 			printf("$CRX:%u\r",value); 
	__POINTW1FN _264,0
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     465 			break;
	RJMP _0x10C
;     466 		}
;     467 		case 1: 								// decimal 8bit
_0x10D:
	CPI  R30,LOW(0x1)
	BRNE _0x10E
;     468 		{
;     469 			printf("$CRX:%u\r",value/4); 
	__POINTW1FN _264,9
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	CALL __LSRW2
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     470 			break;
	RJMP _0x10C
;     471 		}
;     472 		case 2: 								// decimal Millivolt
_0x10E:
	CPI  R30,LOW(0x2)
	BREQ PC+3
	JMP _0x10F
;     473 		{
;     474   			u = (float)value*2500/1024;
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	CLR  R22
	CLR  R23
	CALL __CDF1
	__GETD2N 0x451C4000
	CALL __MULF12
	MOVW R26,R30
	MOVW R24,R22
	__GETD1N 0x44800000
	CALL __DIVF21
	__PUTD1S 2
;     475   			sprintf(temp,"ADC%u=%umV",ADMUX,(Word)u); // mV
	MOVW R30,R28
	ADIW R30,6
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _264,18
	ST   -Y,R31
	ST   -Y,R30
	IN   R30,0x7
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	__GETD1S 10
	CALL __CFD1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,8
	CALL _sprintf
	ADIW R28,12
;     476 			printf("$CRX:%s\r",temp);
	__POINTW1FN _264,29
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,8
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     477 			break;
	RJMP _0x10C
;     478 		}
;     479 		case 3: // HEX 8 bit
_0x10F:
	CPI  R30,LOW(0x3)
	BRNE _0x110
;     480 		{
;     481 			sprintf(temp,"%02X",value/4); 	// digit [hex]
	MOVW R30,R28
	ADIW R30,6
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _264,38
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+22
	LDD  R31,Y+22+1
	CALL __LSRW2
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
;     482 			printf("$CRX:%s\r",temp);
	__POINTW1FN _264,43
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,8
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     483 			break;
	RJMP _0x10C
;     484 		}     
;     485 		case 4: // HEX 8 bit
_0x110:
	CPI  R30,LOW(0x4)
	BRNE _0x111
;     486 		{
;     487 			sprintf(temp,"%02X",value/4); 	// digit [hex] 8 bit no carriage return and no $CRX:
	MOVW R30,R28
	ADIW R30,6
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _264,52
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+22
	LDD  R31,Y+22+1
	CALL __LSRW2
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
;     488 			printf("%s",temp); 
	__POINTW1FN _264,57
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,8
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     489 			break;
	RJMP _0x10C
;     490 		}           
;     491 		case 5: 						// frequency+decimal Millivolt
_0x111:
	CPI  R30,LOW(0x5)
	BREQ PC+3
	JMP _0x10C
;     492 		{
;     493   			u = ((float)value)*2500.0/1024.0; 
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	CLR  R22
	CLR  R23
	CALL __CDF1
	__GETD2N 0x451C4000
	CALL __MULF12
	MOVW R26,R30
	MOVW R24,R22
	__GETD1N 0x44800000
	CALL __DIVF21
	__PUTD1S 2
;     494 			f_MHz = (Word)frequency;
	LDS  R30,_frequency
	LDS  R31,_frequency+1
	LDS  R22,_frequency+2
	LDS  R23,_frequency+3
	CALL __CFD1
	__PUTW1R 16,17
;     495 			sprintf(temp,"%03u.%03u,%u",f_MHz,(Word)((frequency-f_MHz)*1000.0+0.5),(Word)u); // MHz
	MOVW R30,R28
	ADIW R30,6
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _264,60
	ST   -Y,R31
	ST   -Y,R30
	__GETW1R 16,17
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	__GETW1R 16,17
	LDS  R26,_frequency
	LDS  R27,_frequency+1
	LDS  R24,_frequency+2
	LDS  R25,_frequency+3
	CLR  R22
	CLR  R23
	CALL __CDF1
	CALL __SWAPD12
	CALL __SUBF12
	__GETD2N 0x447A0000
	CALL __MULF12
	__GETD2N 0x3F000000
	CALL __ADDF12
	CALL __CFD1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	__GETD1S 14
	CALL __CFD1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,12
	CALL _sprintf
	ADIW R28,16
;     496 			printf("$CRX:%s\r",temp);
	__POINTW1FN _264,73
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,8
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     497 			break;
;     498 		} 
;     499 	}
_0x10C:
;     500 	adc_command = false; 						// prevent another transmission    
	CLT
	BLD  R2,1
;     501 }    
	LDD  R17,Y+1
	LDD  R16,Y+0
	ADIW R28,20
	RET
;     502 //-------------------------------------------------------------------------------------
;     503 void InitADC(void) 		// ADC initialization, Clock frequency: xyz kHz, Interrupts: On
;     504 {
_InitADC:
;     505 	ADMUX  = ADC_VREF_TYPE;
	CLR  R30
	OUT  0x7,R30
;     506        	ADCSRA = 0x8E;            // 0x8E=173kHz;0x8C=346kHz clock frequency (11.0952MHz/16)   
	LDI  R30,LOW(142)
	OUT  0x6,R30
;     507 	SFIOR &= 0xEF;            // enable high speed mode ADC
	IN   R30,0x30
	ANDI R30,0xEF
	OUT  0x30,R30
;     508 	SFIOR |= 0x10;  
	IN   R30,0x30
	ORI  R30,0x10
	OUT  0x30,R30
;     509 }
	RET
;     510 //-------------------------------------------------------------------------------------
;     511 Word Evaluate_ADC(Byte trigger_number)  
;     512 {
_Evaluate_ADC:
;     513 	TriggerADC(trigger_number);
	LD   R30,Y
	ST   -Y,R30
	RCALL _TriggerADC
;     514     	do	
_0x116:
;     515     	{ 
;     516 	} while (!adc_ready); // wait until adc converting has finished
	SBRS R3,4
	RJMP _0x116
;     517 	adc_value = ADCW;   
	IN   R30,0x4
	IN   R31,0x4+1
	STS  _adc_value,R30
	STS  _adc_value+1,R31
;     518         return adc_value;
	RJMP _0x56A
;     519 }
;     520 //-------------------------------------------------------------------------------------
;     521 void TriggerADC(Byte channel)
;     522 {
_TriggerADC:
;     523 	adc_ready = false;   		// to syncronize read process of ADC 
	CLT
	BLD  R3,4
;     524 	ADMUX = channel;     		// Select ADC input 0  or ADC input 1
	LD   R30,Y
	OUT  0x7,R30
;     525 	ADCSRA |= 0x40;     		// Start AD conversion
	SBI  0x6,6
;     526 }
_0x56A:
	ADIW R28,1
	RET
;     527 //-------------------------------------------------------------------------------------
;     528 interrupt [ADC_INT] void adc_isr(void) // ADC interrupt service routine
;     529 {       
_adc_isr:
	CALL __SAVEISR
;     530 	adc_ready = true; 
	SET
	BLD  R3,4
;     531 }
	CALL __LOADISR
	RETI
;     532 //-------------------------------------------------------------------------------------
;     533 
;     534 
;     535 
;     536 
;     537 
;     538 
;     539 
;     540 
;     541 
;     542 
;     543 
;     544 
;     545 
;     546 
;     547 
;     548 
;     549 
;     550 
;     551 
;     552 
;     553 
;     554 
;     555 /*-----------------------------------------------------------------------*/
;     556 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;     557 /*-----------------------------------------------------------------------*/
;     558 /*  Programmname: rs232.c                                                */
;     559 /*                                                                       */
;     560 /*  Revision: V1.4     Date: 30.12.2002    Autor: Chr. Monstein          */
;     561 /*                                                                       */
;     562 /*  Purpose: Receives and Transmits data via Interrupt on UART ATmega16  */
;     563 /*                                                                       */
;     564 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;     565 /*-----------------------------------------------------------------------*/
;     566 
;     567 // Created by: Chr. Monstein 15.11.2002  Idea taken from AVR306
;     568 // Updated by: Chr. Monstein 02.12.2002  commands M, T introduced, unit name changed
;     569 // Updated by: Chr. Monstein 10.12.2002  commands L introduced, Px changed
;     570 // Updated by: Chr. Monstein 15.12.2002  status command optimized
;     571 // Updated by: Chr. Monstein 16.12.2002  commands CPb and SPb included
;     572 // Updated by: Chr. Monstein 27.12.2002  command interpreter moved to command.c
;     573 // Updated by: Chr. Monstein 30.12.2002  new function SendString() [no terminator]
;     574 // Updated by: Hansueli Meyer 09.04.2003 changed from At90S8535 to ATmega16
;     575 //-------------------------------------------------------------------------------------
;     576 // Include files  
;     577 #include <stdio.h>   
;     578 #include <string.h> 
;     579 #include <stdlib.h>
;     580 #include <delay.h> 
;     581 #include <mega16.h> 
;     582 
;     583 #include "callisto.h"   
;     584 #include "rs232.h"  
;     585 #include "command.h"
;     586 #include "digital_io.h" 
;     587 #include "tuner.h"     
;     588 #include "adc.h"
;     589 #include "timer.h" 
;     590 #include "inteeprom.h"  
;     591 #include "spieeprom.h" 
;     592 //-------------------------------------------------------------------------------------
;     593 // USART Receiver buffer
;     594 char rx_buffer[RX_BUFFER_SIZE];

	.DSEG
_rx_buffer:
	.BYTE 0x48
;     595 unsigned char rx_wr_index,rx_rd_index,rx_counter;
_rx_rd_index:
	.BYTE 0x1
_rx_counter:
	.BYTE 0x1
;     596 bit rx_buffer_overflow;  // This flag is set on USART Receiver buffer overflow
;     597 //-------------------------------------------------------------------------------------
;     598 // USART Transmitter buffer
;     599 char tx_buffer[TX_BUFFER_SIZE];
_tx_buffer:
	.BYTE 0x48
;     600 unsigned char tx_wr_index,tx_rd_index,tx_counter;
_tx_wr_index:
	.BYTE 0x1
_tx_rd_index:
	.BYTE 0x1
_tx_counter:
	.BYTE 0x1
;     601 //-------------------------------------------------------------------------------------
;     602 void InitUSART(void)	// USART initialization, USART Mode: Asynchronous	
;     603 {

	.CSEG
_InitUSART:
;     604 	UCSRA = 0x00;
	CLR  R30
	OUT  0xB,R30
;     605 	UCSRB = 0xD8;      	// Communication Parameters: 8 Data, 1 Stop, No Parity
	LDI  R30,LOW(216)
	OUT  0xA,R30
;     606 	UCSRC = 0x06;      	// 8bit data communication
	LDI  R30,LOW(6)
	OUT  0x20,R30
;     607 	UBRRH = 0x00;      	// USART Receiver: On;  USART Transmitter: On
	CLR  R30
	OUT  0x20,R30
;     608 	UBRRL = baudrate;  	// USART Baud rate: 115200
	LDI  R30,LOW(5)
	OUT  0x9,R30
;     609 }
	RET
;     610 //-------------------------------------------------------------------------------------
;     611 // USART Receiver interrupt service routine
;     612 #pragma savereg-
;     613 interrupt [USART_RXC] void uart_rx_isr(void)
;     614 {
_uart_rx_isr:
;     615 	char status,data;
;     616 	#asm
	ST   -Y,R17
	ST   -Y,R16
;	status -> R16
;	data -> R17
;     617     	push r26
    	push r26
;     618     	push r27
    	push r27
;     619     	push r30
    	push r30
;     620     	push r31
    	push r31
;     621     	in   r26,sreg
    	in   r26,sreg
;     622     	push r26
    	push r26
;     623 	#endasm

;     624 	status=UCSRA;
	IN   R16,11
;     625 	data=UDR;
	IN   R17,12
;     626 	if ((status & (FRAMING_ERROR | PARITY_ERROR | DATA_OVERRUN))==0)
	MOV  R30,R16
	ANDI R30,LOW(0x1C)
	BRNE _0x172
;     627    	{
;     628    		rx_buffer[rx_wr_index]=data;
	MOV  R26,R14
	CLR  R27
	SUBI R26,LOW(-_rx_buffer)
	SBCI R27,HIGH(-_rx_buffer)
	ST   X,R17
;     629    		if (++rx_wr_index == RX_BUFFER_SIZE) rx_wr_index=0;
	INC  R14
	LDI  R30,LOW(72)
	CP   R30,R14
	BRNE _0x173
	CLR  R14
;     630    		if (++rx_counter == RX_BUFFER_SIZE)
_0x173:
	LDS  R26,_rx_counter
	SUBI R26,-LOW(1)
	STS  _rx_counter,R26
	CPI  R26,LOW(0x48)
	BRNE _0x174
;     631       	{
;     632       		rx_counter=0;
	CLR  R30
	STS  _rx_counter,R30
;     633       		rx_buffer_overflow=1;
	SET
	BLD  R3,2
;     634       	};
_0x174:
;     635    	};
_0x172:
;     636 	#asm
;     637     	pop  r26
    	pop  r26
;     638     	out  sreg,r26
    	out  sreg,r26
;     639     	pop  r31
    	pop  r31
;     640     	pop  r30
    	pop  r30
;     641     	pop  r27
    	pop  r27
;     642     	pop  r26
    	pop  r26
;     643 	#endasm

;     644 }
	LD   R16,Y+
	LD   R17,Y+
	RETI
;     645 #pragma savereg+
;     646 //-------------------------------------------------------------------------------------
;     647 #ifndef _DEBUG_TERMINAL_IO_
;     648 // Get a character from the USART Receiver buffer
;     649 #define _ALTERNATE_GETCHAR_
;     650 #pragma used+
;     651 char getchar(void)
;     652 {
_getchar:
;     653 	char data;
;     654 	while (rx_counter==0);
	ST   -Y,R16
;	data -> R16
_0x176:
	LDS  R30,_rx_counter
	CPI  R30,0
	BREQ _0x176
;     655 	data=rx_buffer[rx_rd_index];
	LDS  R30,_rx_rd_index
	CLR  R31
	SUBI R30,LOW(-_rx_buffer)
	SBCI R31,HIGH(-_rx_buffer)
	LD   R16,Z
;     656 	if (++rx_rd_index == RX_BUFFER_SIZE) rx_rd_index = 0;
	LDS  R26,_rx_rd_index
	SUBI R26,-LOW(1)
	STS  _rx_rd_index,R26
	CPI  R26,LOW(0x48)
	BRNE _0x179
	CLR  R30
	STS  _rx_rd_index,R30
;     657 	#asm("cli")
_0x179:
	cli
;     658 	--rx_counter;
	LDS  R30,_rx_counter
	SUBI R30,LOW(1)
	STS  _rx_counter,R30
;     659 	#asm("sei")
	sei
;     660 	return data;
	MOV  R30,R16
	LD   R16,Y+
	RET
;     661 }
;     662 #pragma used-
;     663 #endif
;     664 //-------------------------------------------------------------------------------------
;     665 // USART Transmitter interrupt service routine
;     666 #pragma savereg-
;     667 interrupt [USART_TXC] void uart_tx_isr(void)
;     668 {
_uart_tx_isr:
;     669 	#asm
;     670     	push r26
    	push r26
;     671     	push r27
    	push r27
;     672     	push r30
    	push r30
;     673     	push r31
    	push r31
;     674     	in   r26,sreg
    	in   r26,sreg
;     675     	push r26
    	push r26
;     676 	#endasm

;     677 	if (tx_counter)
	LDS  R30,_tx_counter
	CPI  R30,0
	BREQ _0x17B
;     678    	{
;     679    		--tx_counter;
	SUBI R30,LOW(1)
	STS  _tx_counter,R30
;     680      		UDR=tx_buffer[tx_rd_index];
	LDS  R30,_tx_rd_index
	CLR  R31
	SUBI R30,LOW(-_tx_buffer)
	SBCI R31,HIGH(-_tx_buffer)
	LD   R30,Z
	OUT  0xC,R30
;     681      		if (++tx_rd_index == TX_BUFFER_SIZE) tx_rd_index = 0;
	LDS  R26,_tx_rd_index
	SUBI R26,-LOW(1)
	STS  _tx_rd_index,R26
	CPI  R26,LOW(0x48)
	BRNE _0x17C
	CLR  R30
	STS  _tx_rd_index,R30
;     682  	};
_0x17C:
_0x17B:
;     683 	#asm
;     684  	pop  r26
 	pop  r26
;     685  	out  sreg,r26
 	out  sreg,r26
;     686  	pop  r31
 	pop  r31
;     687  	pop  r30
 	pop  r30
;     688  	pop  r27
 	pop  r27
;     689  	pop  r26
 	pop  r26
;     690 	#endasm

;     691 }
	RETI
;     692 #pragma savereg+
;     693 //-------------------------------------------------------------------------------------
;     694 #ifndef _DEBUG_TERMINAL_IO_
;     695 // Write a character to the USART Transmitter buffer
;     696 #define _ALTERNATE_PUTCHAR_
;     697 #pragma used+
;     698 void putchar(char c)
;     699 {
_putchar:
;     700 	while (tx_counter == TX_BUFFER_SIZE);
_0x17E:
	LDS  R26,_tx_counter
	CPI  R26,LOW(0x48)
	BREQ _0x17E
;     701 	#asm("cli")
	cli
;     702 	if (tx_counter || ((UCSRA & DATA_REGISTER_EMPTY)==0))
	LDS  R30,_tx_counter
	CPI  R30,0
	BRNE _0x182
	SBIC 0xB,5
	RJMP _0x181
_0x182:
;     703    	{
;     704    		tx_buffer[tx_wr_index] = c;
	LDS  R26,_tx_wr_index
	CLR  R27
	SUBI R26,LOW(-_tx_buffer)
	SBCI R27,HIGH(-_tx_buffer)
	LD   R30,Y
	ST   X,R30
;     705    		if (++tx_wr_index == TX_BUFFER_SIZE) tx_wr_index = 0;
	LDS  R26,_tx_wr_index
	SUBI R26,-LOW(1)
	STS  _tx_wr_index,R26
	CPI  R26,LOW(0x48)
	BRNE _0x184
	CLR  R30
	STS  _tx_wr_index,R30
;     706    		++tx_counter;
_0x184:
	LDS  R30,_tx_counter
	SUBI R30,-LOW(1)
	STS  _tx_counter,R30
;     707    	}
;     708 	else UDR = c;
	RJMP _0x185
_0x181:
	LD   R30,Y
	OUT  0xC,R30
_0x185:
;     709 	#asm("sei")
	sei
;     710 }
	ADIW R28,1
	RET
;     711 #pragma used-
;     712 #endif
;     713 //------------------------------------------------------------------------------------- 
;     714 
;     715 /*-----------------------------------------------------------------------*/
;     716 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;     717 /*-----------------------------------------------------------------------*/
;     718 /*  Programmname: command.c                                              */
;     719 /*                                                                       */
;     720 /*  Revision: V1.4     Date: 30.12.2002    Autor: Chr. Monstein          */
;     721 /*                                                                       */
;     722 /*  Purpose: Receives and Transmits data via Interrupt on USART ATmega16 */
;     723 /*                                                                       */
;     724 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;     725 /*-----------------------------------------------------------------------*/
;     726 
;     727 // Created by: Chr. Monstein  27.12.2002 moved form rs232.c into separate file
;     728 // Updated by: Chr. Monstein  28.12.2002 debug features deleted to save flash memory
;     729 //                                      new command: Format %0...%3
;     730 // Updated by: Chr. Monstein  30.12.2002 test: single sweep with terminator only at the end
;     731 // Updated by: Hansueli Meyer 03.03.2003 new commands GSx and GAx 
;     732 // Updated by: Hansueli Meyer 17.03.2003 new commands FExyz and FRx
;     733 // Updated by: Hansueli Meyer 02.04.2003 new commands Lx sweeplenght
;     734 // Updated by: Hansueli Meyer 10.04.2003 new commands Ix integration time
;     735 // Updated by: Hansueli Meyer 14.04.2003 new commands FSx to set FPU
;     736 // Updated by: Hansueli Meyer 10.04.2003 new commands FMx, FLx and FHx tuner barriers
;     737 // Updated by: Hansueli Meyer 22.04.2003 new commands GD and GE enable and disable data transfer
;     738 // Updated by: Hansueli Meyer 07.05.2003 new commands PM1 and AM1 
;     739 // Updated by: Hansueli Meyer 14.05.2003 new commands S0 and S1 start and stop state machine
;     740 // Updated by: Hansueli Meyer 10.06.2003 new commands Q0-3 power splitter
;     741 // Updated by: Hansueli Meyer 22.07.2003 unused commands removed
;     742 // Updated by: Hansueli Meyer 16.10.2003 commands removed PM1 and AM1 
;     743 // Updated by: Hansueli Meyer 18.10.2003 new commands removed O0-8 Observation mode
;     744 // Updated by: Hansueli Meyer 25.10.2003 some changes in the commands S0 and S1   
;     745 // Updated by: Hansueli Meyer 02.12.2003 new command W send the initial and version code   
;     746 // Updated by: Hansueli Meyer 26.01.2004 Rx command sends result in switched off debug modus
;     747 // Updated by: Chr. Monstein  17.08.2010 Spannungsteiler angepasst fuer HAM-Version
;     748 // Updated by: Chr. Monstein  21.09.2010 Anpassungen an 10Bit HAM
;     749 // Updated by: Chr. Monstein  21.06.2011 Korrektur IF, debug-bit    
;     750 // Updated by: Chr. Monstien  02.03.2012 response to FE now two lines
;     751 
;     752 //-------------------------------------------------------------------------------------
;     753 // Include files
;     754 #include <stdio.h>   
;     755 #include <string.h> 
;     756 #include <stdlib.h>
;     757 #include <delay.h>
;     758 #include <spi.h>
;     759 #include <mega16.h>   
;     760 
;     761 #include "callisto.h"   
;     762 #include "rs232.h"  
;     763 #include "command.h"
;     764 #include "digital_io.h" 
;     765 #include "tuner.h"     
;     766 #include "adc.h"
;     767 #include "timer.h" 
;     768 #include "inteeprom.h"  
;     769 #include "spieeprom.h" 
;     770 #include "setfopa.h"  
;     771 
;     772 
;     773 //-------------------------------------------------------------------------------------
;     774 
;     775 bit error = false;      // parameter error 
;     776 Byte format=4;          // default transmision format 8bit hex

	.DSEG
_format:
	.BYTE 0x1
;     777 
;     778 
;     779 extern bit softtrigger;         // import from callisto.c 
;     780 extern bit timertrigger;        // import from callisto.c 
;     781 extern bit transferdata;        // import from callisto.c 
;     782 extern bit externtrigger;       // import from callisto.c  
;     783 extern bit continuous;          // import from callisto.c  
;     784 extern bit stoptransfer;	// import from callisto.c   
;     785 extern bit adc_ready;           // import from adc.c   
;     786 extern bit adc_command;         // import from callisto.c  
;     787 extern bit eot_flag;            // import from callisto.c  
;     788 extern bit debug;               // import from callisto.c
;     789 extern Byte send_once;		// import from timer.c
;     790 extern Byte not_send;  
;     791 
;     792 extern Byte FPUcodex;           // import from callisto.c 
;     793 extern bit reset_flag;		// import from callisto.c 	
;     794 
;     795 Word sweeplength;               // frequency file length
_sweeplength:
	.BYTE 0x2
;     796 Word low_band_max;   		  	
_low_band_max:
	.BYTE 0x2
;     797 Word mid_band_max;  		   	
_mid_band_max:
	.BYTE 0x2
;     798 Word high_band_max;                      
_high_band_max:
	.BYTE 0x2
;     799 Word pwm_value;   	
_pwm_value:
	.BYTE 0x2
;     800 
;     801 extern Word counter;            // import from callisto.c 
;     802 extern Word adc_value;          // import from adc.c 
;     803 extern Word measuringtime;      // import from callisto.c  
;     804 extern Word number_count; 	// import from callisto.c 
;     805 extern Word stepcount;          // import from command.c  
;     806 	
;     807 extern float uin;         	// import from callisto.c 
;     808 extern float rht;               // import from callisto.c 
;     809 extern float frequency; 		        // Actual frequency   
;     810 static volatile char tuner=0;   // Actual tuner address
_tuner_G6:
	.BYTE 0x1
;     811 
;     812 Word prescaler_value_Syn;	// prescaler value is used in the timer.c init functions (11.0592MHz)		
_prescaler_value_Syn:
	.BYTE 0x2
;     813 Word prescaler_value_Asyn;	// prescaler value is used in the timer.c init functions (1MHz)
_prescaler_value_Asyn:
	.BYTE 0x2
;     814 
;     815 //-------------------------------------------------------------------------------------
;     816 void CommandInterpreter(char *cmd) 	// check incoming commands
;     817 {               

	.CSEG
_CommandInterpreter:
;     818   	Byte u;            		// temporary command
;     819   	Byte v;            		// temporary first parameter 
;     820   	Byte w;            		// temporary second parameter
;     821 	Byte i;            		// common counter 
;     822 	Byte p;            		// common port register
;     823 	Word db1;                       // bytes used for the tuner
;     824 	Word db2;                       // bytes used for the tuner
;     825 	Word cb;                        // bytes used for the tuner
;     826 	Word bb;           		// bytes used for the tuner
;     827 	Word f_MHz;        		// temporary frequency  MHz
;     828 	Word fre_number;                // frequency number = EEPROM address 
;     829 	Word eeprom_address;            // used to generate the rigth EEPROM address			                  
;     830 	Word sweepcount;   		// used for single sweep   
;     831 	Word adc_tuner0;                // temporary saving of the tuner values
;     832         //Word prescaler_value_Syn;	// prescaler value is used in the timer.c init functions (11.0592MHz)		
;     833 	//Word prescaler_value_Asyn;	// prescaler value is used in the timer.c init functions (1MHz)
;     834 	char temp[28]="";  		// string buffer  
;     835 	
;     836 	u=cmd[0];    			// save command character                               
	SBIW R28,51
	LDI  R24,28
	CLR  R26
	CLR  R27
	LDI  R30,LOW(_0x1DF*2)
	LDI  R31,HIGH(_0x1DF*2)
	CALL __INITLOCB
;	*cmd -> Y+51
;	u -> Y+50
;	v -> Y+49
;	w -> Y+48
;	i -> Y+47
;	p -> Y+46
;	db1 -> Y+44
;	db2 -> Y+42
;	cb -> Y+40
;	bb -> Y+38
;	f_MHz -> Y+36
;	fre_number -> Y+34
;	eeprom_address -> Y+32
;	sweepcount -> Y+30
;	adc_tuner0 -> Y+28
;	temp -> Y+0
	LDD  R26,Y+51
	LDD  R27,Y+51+1
	LD   R30,X
	STD  Y+50,R30
;     837 	v=cmd[1]-48; 			// evaluate first command parameter (ASCII -> decimal)
	ADIW R26,1
	LD   R30,X
	SUBI R30,LOW(48)
	STD  Y+49,R30
;     838 	w=cmd[2]-48; 			// evaluate second command parameter (ASCII -> decimal)
	LDD  R26,Y+51
	LDD  R27,Y+51+1
	ADIW R26,2
	LD   R30,X
	SUBI R30,LOW(48)
	STD  Y+48,R30
;     839 	if (u=='A')  			// Read ADC
	LDD  R26,Y+50
	CPI  R26,LOW(0x41)
	BRNE _0x1E0
;     840 	{
;     841 		switch (v) 		// Evaluate parameter (ADC-channel)
	LDD  R30,Y+49
;     842 		{
;     843 			case 0:
	CPI  R30,0
	BREQ _0x1E5
;     844 			case 1:
	CPI  R30,LOW(0x1)
	BRNE _0x1E6
_0x1E5:
;     845 			case 2:
	RJMP _0x1E7
_0x1E6:
	CPI  R30,LOW(0x2)
	BRNE _0x1E8
_0x1E7:
;     846 			case 3:
	RJMP _0x1E9
_0x1E8:
	CPI  R30,LOW(0x3)
	BRNE _0x1EA
_0x1E9:
;     847 			case 4:
	RJMP _0x1EB
_0x1EA:
	CPI  R30,LOW(0x4)
	BRNE _0x1EC
_0x1EB:
;     848 			case 5:
	RJMP _0x1ED
_0x1EC:
	CPI  R30,LOW(0x5)
	BRNE _0x1EE
_0x1ED:
;     849 			case 6:
	RJMP _0x1EF
_0x1EE:
	CPI  R30,LOW(0x6)
	BRNE _0x1F0
_0x1EF:
;     850 			case 7:
	RJMP _0x1F1
_0x1F0:
	CPI  R30,LOW(0x7)
	BRNE _0x1F3
_0x1F1:
;     851 			{  
;     852 				adc_value = Evaluate_ADC(v); // read the ADC_value 
	LDD  R30,Y+49
	ST   -Y,R30
	CALL _Evaluate_ADC
	STS  _adc_value,R30
	STS  _adc_value+1,R31
;     853 				TransmitADC(adc_value);    
	ST   -Y,R31
	ST   -Y,R30
	CALL _TransmitADC
;     854 				break; 
	RJMP _0x1E3
;     855 			} 
;     856 			default: error = true; break; // illegal command
_0x1F3:
	SET
	BLD  R3,5
;     857 		}
_0x1E3:
;     858 	} 
;     859 	else 
	JMP  _0x1F4
_0x1E0:
;     860 	if (u=='C')  // ChargePump respective Clear Port
	LDD  R26,Y+50
	CPI  R26,LOW(0x43)
	BREQ PC+3
	JMP _0x1F5
;     861 	{  
;     862 		switch (v) 	// Evaluate first parameter 
	LDD  R30,Y+49
;     863 		{
;     864 			case 0:  break; // low phase noise, low speed
	CPI  R30,0
	BRNE _0x1F9
	RJMP _0x1F8
;     865 			case 1:  break; // high speed and much phase noise
_0x1F9:
	CPI  R30,LOW(0x1)
	BRNE _0x1FA
	RJMP _0x1F8
;     866 			case 18: // Port B
_0x1FA:
	CPI  R30,LOW(0x12)
	BRNE _0x1FB
;     867 			{     
;     868 				
;     869 				switch (w) 	// select bit in CBb
	LDD  R30,Y+48
;     870 				{
;     871 					case 0: PORTB.0=0; break;
	CPI  R30,0
	BRNE _0x1FF
	CBI  0x18,0
	RJMP _0x1FE
;     872 					case 1: PORTB.1=0; break;
_0x1FF:
	CPI  R30,LOW(0x1)
	BRNE _0x200
	CBI  0x18,1
	RJMP _0x1FE
;     873 					case 2: PORTB.2=0; break;
_0x200:
	CPI  R30,LOW(0x2)
	BRNE _0x201
	CBI  0x18,2
	RJMP _0x1FE
;     874 					case 3: PORTB.3=0; break;
_0x201:
	CPI  R30,LOW(0x3)
	BRNE _0x202
	CBI  0x18,3
	RJMP _0x1FE
;     875 					case 4: PORTB.4=0; break;
_0x202:
	CPI  R30,LOW(0x4)
	BRNE _0x203
	CBI  0x18,4
	RJMP _0x1FE
;     876 					case 5: PORTB.5=0; break;
_0x203:
	CPI  R30,LOW(0x5)
	BRNE _0x204
	CBI  0x18,5
	RJMP _0x1FE
;     877 					case 6: PORTB.6=0; break;
_0x204:
	CPI  R30,LOW(0x6)
	BRNE _0x205
	CBI  0x18,6
	RJMP _0x1FE
;     878 					case 7: PORTB.7=0; break;
_0x205:
	CPI  R30,LOW(0x7)
	BRNE _0x207
	CBI  0x18,7
	RJMP _0x1FE
;     879 					default: error = true; break; // illegal command
_0x207:
	SET
	BLD  R3,5
;     880 				}  
_0x1FE:
;     881 				break; 
	RJMP _0x1F8
;     882 			}
;     883 			case 19: 	// Port C
_0x1FB:
	CPI  R30,LOW(0x13)
	BRNE _0x208
;     884 			{     
;     885 				switch (w) 	// select bit in CCb
	LDD  R30,Y+48
;     886 				{
;     887 					case 0: PORTC.0=0; break;
	CPI  R30,0
	BRNE _0x20C
	CBI  0x15,0
	RJMP _0x20B
;     888 					case 1: PORTC.1=0; break;
_0x20C:
	CPI  R30,LOW(0x1)
	BRNE _0x20D
	CBI  0x15,1
	RJMP _0x20B
;     889 					case 2: PORTC.2=0; break;
_0x20D:
	CPI  R30,LOW(0x2)
	BRNE _0x20E
	CBI  0x15,2
	RJMP _0x20B
;     890 					case 3: PORTC.3=0; break;
_0x20E:
	CPI  R30,LOW(0x3)
	BRNE _0x20F
	CBI  0x15,3
	RJMP _0x20B
;     891 					case 4: PORTC.4=0; break;
_0x20F:
	CPI  R30,LOW(0x4)
	BRNE _0x210
	CBI  0x15,4
	RJMP _0x20B
;     892 					case 5: PORTC.5=0; break;
_0x210:
	CPI  R30,LOW(0x5)
	BRNE _0x211
	CBI  0x15,5
	RJMP _0x20B
;     893 					case 6: PORTC.6=0; break;
_0x211:
	CPI  R30,LOW(0x6)
	BRNE _0x212
	CBI  0x15,6
	RJMP _0x20B
;     894 					case 7: PORTC.7=0; break;
_0x212:
	CPI  R30,LOW(0x7)
	BRNE _0x214
	CBI  0x15,7
	RJMP _0x20B
;     895 					default: error = true; break; // illegal command
_0x214:
	SET
	BLD  R3,5
;     896 				}
_0x20B:
;     897 				break; 
	RJMP _0x1F8
;     898 			}
;     899 			case 20: 	// Port D
_0x208:
	CPI  R30,LOW(0x14)
	BRNE _0x222
;     900 			{     
;     901 				switch (w) 	// select bit in CDb
	LDD  R30,Y+48
;     902 				{
;     903 					case 0: PORTD.0=0; break;
	CPI  R30,0
	BRNE _0x219
	CBI  0x12,0
	RJMP _0x218
;     904 					case 1: PORTD.1=0; break;
_0x219:
	CPI  R30,LOW(0x1)
	BRNE _0x21A
	CBI  0x12,1
	RJMP _0x218
;     905 					case 2: PORTD.2=0; break;
_0x21A:
	CPI  R30,LOW(0x2)
	BRNE _0x21B
	CBI  0x12,2
	RJMP _0x218
;     906 					case 3: PORTD.3=0; break;
_0x21B:
	CPI  R30,LOW(0x3)
	BRNE _0x21C
	CBI  0x12,3
	RJMP _0x218
;     907 					case 4: PORTD.4=0; break;
_0x21C:
	CPI  R30,LOW(0x4)
	BRNE _0x21D
	CBI  0x12,4
	RJMP _0x218
;     908 					case 5: PORTD.5=0; break;
_0x21D:
	CPI  R30,LOW(0x5)
	BRNE _0x21E
	CBI  0x12,5
	RJMP _0x218
;     909 					case 6: PORTD.6=0; break;
_0x21E:
	CPI  R30,LOW(0x6)
	BRNE _0x21F
	CBI  0x12,6
	RJMP _0x218
;     910 					case 7: PORTD.7=0; break;
_0x21F:
	CPI  R30,LOW(0x7)
	BRNE _0x221
	CBI  0x12,7
	RJMP _0x218
;     911 					default: error = true; break; // illegal command
_0x221:
	SET
	BLD  R3,5
;     912 				}
_0x218:
;     913 				break; 
	RJMP _0x1F8
;     914 			}
;     915 			default: error = true; break; // illegal command
_0x222:
	SET
	BLD  R3,5
;     916 		}
_0x1F8:
;     917 	} 
;     918 	else
	JMP  _0x223
_0x1F5:
;     919 	if (u=='D')  // Evaluate Debugmode
	LDD  R26,Y+50
	CPI  R26,LOW(0x44)
	BRNE _0x224
;     920 	{
;     921 		switch (v) 	// Evaluate parameter
	LDD  R30,Y+49
;     922 		{
;     923 			case 0:  debug=false; break; // additional informations off
	CPI  R30,0
	BRNE _0x228
	CLT
	BLD  R2,0
	RJMP _0x227
;     924 			case 1:  debug=true;  break; // additional informations on
_0x228:
	CPI  R30,LOW(0x1)
	BRNE _0x22A
	SET
	BLD  R2,0
	RJMP _0x227
;     925 			default: error=true;  break; // illegal command
_0x22A:
	SET
	BLD  R3,5
;     926 		}
_0x227:
;     927 		if (debug)
	SBRS R2,0
	RJMP _0x22B
;     928 			printf("$CRX:Debugmode on\r"); // Test message
	__POINTW1FN _478,0
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;     929 	} 
_0x22B:
;     930 	else 
	JMP  _0x22C
_0x224:
;     931 	if (u=='f')  // fsx send focus code to set the FOPA
	LDD  R26,Y+50
	CPI  R26,LOW(0x66)
	BRNE _0x22D
;     932 	{    
;     933 		switch (v) 	// Evaluate parameter
	LDD  R30,Y+49
;     934 		{
;     935 			case 67: // fsx
	CPI  R30,LOW(0x43)
	BRNE _0x232
;     936 			{
;     937 				sscanf(cmd,"fs%u",&FPUcodex); //get the sweeplength and send it to the internal EEPROM
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,19
	ST   -Y,R31
	ST   -Y,R30
	__GETD1N 0x7
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;     938 				SetFPU((Byte)FPUcodex);				
	ST   -Y,R7
	CALL _SetFPU
;     939 				break;
	RJMP _0x230
;     940 			}                     
;     941 			default: error = true;  break; 	// illegal command
_0x232:
	SET
	BLD  R3,5
;     942 		}
_0x230:
;     943 		if (debug)
	SBRS R2,0
	RJMP _0x233
;     944 			printf("$CRX:FOPAcodex=%u\r",FPUcodex); // Test message
	__POINTW1FN _478,24
	ST   -Y,R31
	ST   -Y,R30
	MOV  R30,R7
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     945 	} 
_0x233:
;     946 	else
	JMP  _0x234
_0x22D:
;     947 	if (u=='F')  	// Evaluate frequencystring, set tuner and read and write to external EEPROM
	LDD  R26,Y+50
	CPI  R26,LOW(0x46)
	BREQ PC+3
	JMP _0x235
;     948 	{   
;     949 		switch (v) 		// Evaluate parameter E or R which means writing or reading to EEPROM
	LDD  R30,Y+49
;     950 		{
;     951 			case 0: // Tuner #0
	CPI  R30,0
	BREQ PC+3
	JMP _0x239
;     952 			{
;     953 			  	i = 2; 		// ignore command-prefix and tuner address byte
	LDI  R30,LOW(2)
	STD  Y+47,R30
;     954 				tuner = 0; 	// first parameter is tuner address
	CLR  R30
	STS  _tuner_G6,R30
;     955 				do     
_0x23B:
;     956 				{
;     957 					temp[i-2]=cmd[i]; // copy 2nd parameter to temporary string
	LDD  R30,Y+47
	SUBI R30,LOW(2)
	CLR  R31
	MOVW R26,R28
	ADD  R30,R26
	ADC  R31,R27
	PUSH R31
	PUSH R30
	LDD  R30,Y+47
	LDD  R26,Y+51
	LDD  R27,Y+51+1
	CLR  R31
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	POP  R26
	POP  R27
	ST   X,R30
;     958 					i++;
	LDD  R30,Y+47
	SUBI R30,-LOW(1)
	STD  Y+47,R30
;     959 				} while (cmd[i]);
	LDD  R26,Y+51
	LDD  R27,Y+51+1
	CLR  R31
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	CPI  R30,0
	BRNE _0x23B
;     960 				frequency = atof(temp); // make float 
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	CALL _atof
	STS  _frequency,R30
	STS  _frequency+1,R31
	STS  _frequency+2,R22
	STS  _frequency+3,R23
;     961 				SetTuner(frequency);  // tuner-address, frequency[MHz]    
	CALL __PUTPARD1
	CALL _SetTuner
;     962 				if (softtrigger)
	SBRS R2,2
	RJMP _0x23D
;     963 				{
;     964 					adc_value = Evaluate_ADC(tuner); // read the ADC_value 
	LDS  R30,_tuner_G6
	ST   -Y,R30
	CALL _Evaluate_ADC
	STS  _adc_value,R30
	STS  _adc_value+1,R31
;     965 					TransmitADC(adc_value);    
	ST   -Y,R31
	ST   -Y,R30
	CALL _TransmitADC
;     966 				}
;     967 				break;
_0x23D:
	RJMP _0x238
;     968 			}
;     969 			case 21: // EEPROM write FExxx,yyy.yyy,mmm (address[fre_number),frequency,modus)
_0x239:
	CPI  R30,LOW(0x15)
	BREQ PC+3
	JMP _0x23E
;     970 			{	     
;     971 				sscanf(cmd,"FE%u,%03u,%03u,%03u,%03u",&fre_number,&db1,&db2,&cb,&bb); //read address
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,43
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,38
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	MOVW R30,R28
	ADIW R30,52
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	MOVW R30,R28
	ADIW R30,54
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	MOVW R30,R28
	ADIW R30,56
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	MOVW R30,R28
	ADIW R30,58
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,20
	CALL _sscanf
	ADIW R28,24
;     972 				sprintf(temp,"FE%u%u%u%u%u",fre_number,db1,db2,cb,bb);   
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,68
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+38
	LDD  R31,Y+38+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+52
	LDD  R31,Y+52+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+54
	LDD  R31,Y+54+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+56
	LDD  R31,Y+56+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+58
	LDD  R31,Y+58+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,20
	CALL _sprintf
	ADIW R28,24
;     973 		  	        eeprom_address=(fre_number-1)*8;  //8 byte sent to EEPROM -> EEPROM address 8 times higher first frequency Nr.1
	LDD  R26,Y+34
	LDD  R27,Y+34+1
	SBIW R26,1
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	CALL __MULW12U
	STD  Y+32,R30
	STD  Y+32+1,R31
;     974 			        eeprom_write_string(eeprom_address,db1,db2,cb,bb);   // write at address x 
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+46
	LDD  R31,Y+46+1
	ST   -Y,R30
	LDD  R30,Y+45
	LDD  R31,Y+45+1
	ST   -Y,R30
	LDD  R30,Y+44
	LDD  R31,Y+44+1
	ST   -Y,R30
	LDD  R30,Y+43
	LDD  R31,Y+43+1
	ST   -Y,R30
	CALL _eeprom_write_string
;     975 				if (debug)
	SBRS R2,0
	RJMP _0x23F
;     976     					printf("$CRX:%s\r",temp); // send frequency to host to check 
	__POINTW1FN _478,81
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     977 				break;
_0x23F:
	RJMP _0x238
;     978 			}
;     979 			case 34: // EEPROM read FRxxx (address (number of frequency [fre_number]))
_0x23E:
	CPI  R30,LOW(0x22)
	BREQ PC+3
	JMP _0x240
;     980 			{
;     981 				i = 2; 	// ignore command-prefix and tuner address byte
	LDI  R30,LOW(2)
	STD  Y+47,R30
;     982 				do     
_0x242:
;     983 				{
;     984 			     		temp[i-2]=cmd[i]; // copy 2nd parameter to temporary string
	LDD  R30,Y+47
	SUBI R30,LOW(2)
	CLR  R31
	MOVW R26,R28
	ADD  R30,R26
	ADC  R31,R27
	PUSH R31
	PUSH R30
	LDD  R30,Y+47
	LDD  R26,Y+51
	LDD  R27,Y+51+1
	CLR  R31
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	POP  R26
	POP  R27
	ST   X,R30
;     985 					i++;
	LDD  R30,Y+47
	SUBI R30,-LOW(1)
	STD  Y+47,R30
;     986 				} while (cmd[i]);	
	LDD  R26,Y+51
	LDD  R27,Y+51+1
	CLR  R31
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	CPI  R30,0
	BRNE _0x242
;     987 			 	fre_number=atoi(temp); // make integer
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	CALL _atoi
	STD  Y+34,R30
	STD  Y+34+1,R31
;     988 			  	eeprom_address=(fre_number-1)*8; //generate the right EEPROM address
	LDD  R26,Y+34
	LDD  R27,Y+34+1
	SBIW R26,1
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	CALL __MULW12U
	STD  Y+32,R30
	STD  Y+32+1,R31
;     989 			        eeprom_read_float(eeprom_address,&db1,&db2,&cb,&bb); // read frequency at eeprom_address x  
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,46
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,46
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,46
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,46
	ST   -Y,R31
	ST   -Y,R30
	CALL _eeprom_read_float
;     990 				sprintf(temp,"EEPROM=%03u,%03u,%03u,%03u",(Byte)db1,(Byte)db2,(Byte)cb,(Byte)bb); // MHz 
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,90
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+48
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+50
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+52
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+54
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,16
	CALL _sprintf
	ADIW R28,20
;     991 				if (debug) 
	SBRS R2,0
	RJMP _0x244
;     992 				{
;     993     					//frequency = ((float)(db1*256+db2)*0.0625)-37.75;
;     994     					frequency = ((float)(db1*256+db2)*0.0625)-if_init; // 02.03.2012/cm
	LDD  R30,Y+44
	LDD  R31,Y+44+1
	MOV  R31,R30
	CLR  R30
	LDD  R26,Y+42
	LDD  R27,Y+42+1
	ADD  R30,R26
	ADC  R31,R27
	CLR  R22
	CLR  R23
	CALL __CDF1
	__GETD2N 0x3D800000
	CALL __MULF12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	LDI  R26,LOW(_if_init)
	LDI  R27,HIGH(_if_init)
	CALL __EEPROMRDD
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __SWAPD12
	CALL __SUBF12
	STS  _frequency,R30
	STS  _frequency+1,R31
	STS  _frequency+2,R22
	STS  _frequency+3,R23
;     995     					f_MHz = (Word)frequency;
	CALL __CFD1
	STD  Y+36,R30
	STD  Y+36+1,R31
;     996 					printf("$CRX:Frequency=%u.%uMHz\r",f_MHz,(Word)((frequency-f_MHz)*1000+0.5));
	__POINTW1FN _478,117
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+38
	LDD  R31,Y+38+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+42
	LDD  R31,Y+42+1
	LDS  R26,_frequency
	LDS  R27,_frequency+1
	LDS  R24,_frequency+2
	LDS  R25,_frequency+3
	CLR  R22
	CLR  R23
	CALL __CDF1
	CALL __SWAPD12
	CALL __SUBF12
	__GETD2N 0x447A0000
	CALL __MULF12
	__GETD2N 0x3F000000
	CALL __ADDF12
	CALL __CFD1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,8
	CALL _printf
	ADIW R28,10
;     997 					printf("$CRX:%s\r",temp);
	__POINTW1FN _478,142
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;     998     				}
;     999 				break;	
_0x244:
	RJMP _0x238
;    1000 			}  
;    1001 			case 35: // FSxy set FOPA code  
_0x240:
	CPI  R30,LOW(0x23)
	BRNE _0x245
;    1002 			{     
;    1003 				sscanf(cmd,"FS%02u",&(Byte)FPUcodex);// read modus (FOPAcode) to set FOPA  
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,151
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;    1004 				if (debug)
	SBRS R2,0
	RJMP _0x246
;    1005 		  		{
;    1006 					printf("$CRX:FPUcodex=%u\r",FPUcodex); // send FOPA code to host		
	__POINTW1FN _478,158
	ST   -Y,R31
	ST   -Y,R30
	MOV  R30,R7
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1007 				} 		
;    1008 				break; 
_0x246:
	RJMP _0x238
;    1009 			}     
;    1010 			case 28: // FL low_band_max of tuner   test band switching
_0x245:
	CPI  R30,LOW(0x1C)
	BRNE _0x247
;    1011 			{
;    1012 				sscanf(cmd,"FL%u",&low_band_max); //read address, frequency and modus 
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,176
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_low_band_max)
	LDI  R31,HIGH(_low_band_max)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;    1013 				sprintf(temp,"%u",low_band_max);   
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,181
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_low_band_max
	LDS  R31,_low_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
;    1014 				EEPROM_write(address_lowband, temp); // write
	LDI  R30,LOW(115)
	LDI  R31,HIGH(115)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	ST   -Y,R31
	ST   -Y,R30
	CALL _EEPROM_write
;    1015 				break;				
	RJMP _0x238
;    1016 			} 	
;    1017 			case 29: // FM mid_band_max of tuner
_0x247:
	CPI  R30,LOW(0x1D)
	BRNE _0x248
;    1018 			{
;    1019 				sscanf(cmd,"FM%u",&mid_band_max); //read address, frequency and modus 
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,184
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_mid_band_max)
	LDI  R31,HIGH(_mid_band_max)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;    1020 				sprintf(temp,"%u",mid_band_max);   
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,189
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_mid_band_max
	LDS  R31,_mid_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
;    1021 				EEPROM_write(address_midband, temp); // write
	LDI  R30,LOW(120)
	LDI  R31,HIGH(120)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	ST   -Y,R31
	ST   -Y,R30
	RCALL _EEPROM_write
;    1022 				break;				
	RJMP _0x238
;    1023 			} 	
;    1024 			case 24: // FH high_band_max of tuner
_0x248:
	CPI  R30,LOW(0x18)
	BRNE _0x24A
;    1025 			{
;    1026 				sscanf(cmd,"FH%u",&high_band_max); //read address, frequency and modus 
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,192
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_high_band_max)
	LDI  R31,HIGH(_high_band_max)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;    1027 				sprintf(temp,"%u",high_band_max);   
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,197
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_high_band_max
	LDS  R31,_high_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
;    1028 				EEPROM_write(address_highband, temp); // write
	LDI  R30,LOW(125)
	LDI  R31,HIGH(125)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	ST   -Y,R31
	ST   -Y,R30
	RCALL _EEPROM_write
;    1029 				break;				
	RJMP _0x238
;    1030 			} 
;    1031 			
;    1032 			default: error = true;  break; 		// illegal command
_0x24A:
	SET
	BLD  R3,5
;    1033 		}	     
_0x238:
;    1034 	}
;    1035 	else
	RJMP _0x24B
_0x235:
;    1036 	if (u=='G')  // Set the counter and enable or disable the main interrupt
	LDD  R26,Y+50
	CPI  R26,LOW(0x47)
	BRNE _0x24C
;    1037 	{
;    1038 		transferdata = false;
	CLT
	BLD  R2,6
;    1039 		switch (v) 	// Evaluate parameter
	LDD  R30,Y+49
;    1040 		{
;    1041 			case 20: // D=GD disable the datatransfer between host and mainboard
	CPI  R30,LOW(0x14)
	BRNE _0x250
;    1042 			{
;    1043 				transferdata = true;
	SET
	BLD  R2,6
;    1044 				eot_flag = true;				
	SET
	BLD  R3,0
;    1045 				break;
	RJMP _0x24F
;    1046 			}       
;    1047 			case 21:// E=GE enable the datatransfer between host and mainboard
_0x250:
	CPI  R30,LOW(0x15)
	BRNE _0x251
;    1048 			{
;    1049 				transferdata = false;				
	CLT
	BLD  R2,6
;    1050 				break;
	RJMP _0x24F
;    1051 			}         
;    1052 			case 35:// S=GS set the interrupt repeat rate 1Hz, 50Hz, 200Hz, 400Hz
_0x251:
	CPI  R30,LOW(0x23)
	BRNE _0x252
;    1053 			{		  
;    1054   				sscanf(cmd,"GS%u",&prescaler_value_Syn); //read address, frequency and modus 
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,200
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_prescaler_value_Syn)
	LDI  R31,HIGH(_prescaler_value_Syn)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;    1055  				break; 
	RJMP _0x24F
;    1056 			}           
;    1057 			case 17:   // A=GA set the interrupt repeat rate 20Hz, 200Hz, 400Hz
_0x252:
	CPI  R30,LOW(0x11)
	BRNE _0x254
;    1058 			{		  
;    1059   				sscanf(cmd,"GA%u",&prescaler_value_Asyn); //read address, frequency and modus 
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,205
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_prescaler_value_Asyn)
	LDI  R31,HIGH(_prescaler_value_Asyn)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;    1060 				break;  
	RJMP _0x24F
;    1061 			}                   
;    1062 			default: error = true;  break; 		// illegal command
_0x254:
	SET
	BLD  R3,5
;    1063 		}
_0x24F:
;    1064 	} 
;    1065 	else  			
	RJMP _0x255
_0x24C:
;    1066 	if (u=='L')  // Evaluate sweep Length
	LDD  R26,Y+50
	CPI  R26,LOW(0x4C)
	BRNE _0x256
;    1067 	{    
;    1068 		sscanf(cmd,"L%u",&sweeplength); //get the sweeplength and send it to the internal EEPROM 
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,210
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_sweeplength)
	LDI  R31,HIGH(_sweeplength)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;    1069 		if (debug)
	SBRS R2,0
	RJMP _0x257
;    1070 			printf("$CRX:Sweeplength=%u\r",sweeplength); // Test message
	__POINTW1FN _478,214
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_sweeplength
	LDS  R31,_sweeplength+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1071 	} 
_0x257:
;    1072 	else  
	RJMP _0x258
_0x256:
;    1073 	if (u=='M')  // Evaluate measuring delay
	LDD  R26,Y+50
	CPI  R26,LOW(0x4D)
	BREQ PC+3
	JMP _0x259
;    1074 	{              
;    1075 		i=1; // ignore command-prefix
	LDI  R30,LOW(1)
	STD  Y+47,R30
;    1076 		do     
_0x25B:
;    1077 		{
;    1078 			temp[i-1] = cmd[i]; // copy 1st parameter to temporary string
	LDD  R30,Y+47
	SUBI R30,LOW(1)
	CLR  R31
	MOVW R26,R28
	ADD  R30,R26
	ADC  R31,R27
	PUSH R31
	PUSH R30
	LDD  R30,Y+47
	LDD  R26,Y+51
	LDD  R27,Y+51+1
	CLR  R31
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	POP  R26
	POP  R27
	ST   X,R30
;    1079 			i++;
	LDD  R30,Y+47
	SUBI R30,-LOW(1)
	STD  Y+47,R30
;    1080 		}while (cmd[i]);
	LDD  R26,Y+51
	LDD  R27,Y+51+1
	CLR  R31
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	CPI  R30,0
	BRNE _0x25B
;    1081 		measuringtime = atoi(temp); // make Word
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	CALL _atoi
	STS  _measuringtime,R30
	STS  _measuringtime+1,R31
;    1082 		if (debug)
	SBRS R2,0
	RJMP _0x25D
;    1083 			printf("$CRX:MeasuringDelay=%s\r",temp); // Test message
	__POINTW1FN _478,235
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1084 	} 
_0x25D:
;    1085 	else
	RJMP _0x25E
_0x259:
;    1086 	if (u=='O')  // Set PWM-value for gain-control
	LDD  R26,Y+50
	CPI  R26,LOW(0x4F)
	BRNE _0x25F
;    1087 	{              
;    1088 	  
;    1089 		sscanf(cmd,"O%u",&pwm_value); //
	LDD  R30,Y+51
	LDD  R31,Y+51+1
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,259
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_pwm_value)
	LDI  R31,HIGH(_pwm_value)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sscanf
	ADIW R28,8
;    1090 		OCR2 = pwm_value;  // timer 2, PORT D bit 7
	LDS  R30,_pwm_value
	LDS  R31,_pwm_value+1
	OUT  0x23,R30
;    1091 	        if (debug)
	SBRS R2,0
	RJMP _0x260
;    1092 	                printf("$CRX:OCR2=%u\r",pwm_value); // send FOPA code to host  				
	__POINTW1FN _478,263
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_pwm_value
	LDS  R31,_pwm_value+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1093 	} 	
_0x260:
;    1094         else
	RJMP _0x261
_0x25F:
;    1095 	if (u=='P')  // Evaluate Processmode   
	LDD  R26,Y+50
	CPI  R26,LOW(0x50)
	BREQ PC+3
	JMP _0x262
;    1096 	{     
;    1097 		switch (v) // Evaluate parameter
	LDD  R30,Y+49
;    1098 		{
;    1099 			case 0: // Stop 
	CPI  R30,0
	BRNE _0x266
;    1100 			{             
;    1101 				continuous = false;
	CLT
	BLD  R2,5
;    1102 				if (debug)
	SBRS R2,0
	RJMP _0x267
;    1103 					printf("$CRX:P0=Stop recording\r"); // Test message
	__POINTW1FN _478,277
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1104 				break; 
_0x267:
	RJMP _0x265
;    1105 			}
;    1106 			case 1: // continous recording
_0x266:
	CPI  R30,LOW(0x1)
	BRNE _0x268
;    1107 			{
;    1108 				continuous = true;
	SET
	BLD  R2,5
;    1109 				if (debug)
	SBRS R2,0
	RJMP _0x269
;    1110 					printf("$CRX:P1=Start recording\r"); // Test message
	__POINTW1FN _478,301
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1111 				break;
_0x269:
	RJMP _0x265
;    1112 			}
;    1113 			case 2: // Single sweep
_0x268:
	CPI  R30,LOW(0x2)
	BREQ PC+3
	JMP _0x272
;    1114 			{                         			
;    1115 				if (debug) 
	SBRS R2,0
	RJMP _0x26B
;    1116 					printf("$CRX:P2=Start single sweep\r"); // Test message
	__POINTW1FN _478,326
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1117 				sweepcount = 0;
_0x26B:
	CLR  R30
	STD  Y+30,R30
	STD  Y+30+1,R30
;    1118 				do
_0x26D:
;    1119 				{     
;    1120 					frequency = frequency + synthesizer_resolution; // test frequency [TBD]
	LDS  R30,_frequency
	LDS  R31,_frequency+1
	LDS  R22,_frequency+2
	LDS  R23,_frequency+3
	__GETD2N 0x3D800000
	CALL __ADDF12
	STS  _frequency,R30
	STS  _frequency+1,R31
	STS  _frequency+2,R22
	STS  _frequency+3,R23
;    1121 					SetTuner(frequency);  // tuner-address, frequency[MHz]   
	CALL __PUTPARD1
	CALL _SetTuner
;    1122 					if (softtrigger)
	SBRS R2,2
	RJMP _0x26F
;    1123 					{
;    1124 						adc_tuner0 = Evaluate_ADC(tuner); // read the ADC_value 
	LDS  R30,_tuner_G6
	ST   -Y,R30
	CALL _Evaluate_ADC
	STD  Y+28,R30
	STD  Y+28+1,R31
;    1125 						delay_ms(measuringtime); // wait 
	LDS  R30,_measuringtime
	LDS  R31,_measuringtime+1
	ST   -Y,R31
	ST   -Y,R30
	CALL _delay_ms
;    1126 						TransmitADC(adc_tuner0); 
	LDD  R30,Y+28
	LDD  R31,Y+28+1
	ST   -Y,R31
	ST   -Y,R30
	CALL _TransmitADC
;    1127 					}                 
;    1128 					sweepcount++;
_0x26F:
	LDD  R30,Y+30
	LDD  R31,Y+30+1
	ADIW R30,1
	STD  Y+30,R30
	STD  Y+30+1,R31
;    1129 				} while (sweepcount < sweeplength);
	LDS  R30,_sweeplength
	LDS  R31,_sweeplength+1
	LDD  R26,Y+30
	LDD  R27,Y+30+1
	CP   R26,R30
	CPC  R27,R31
	BRSH _0x26E
	RJMP _0x26D
_0x26E:
;    1130 				if (format==4)  
	LDS  R26,_format
	CPI  R26,LOW(0x4)
	BRNE _0x270
;    1131 					printf(carriage_return); // Send carriage return  
	LDI  R30,LOW(13)
	LDI  R31,HIGH(13)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1132 				if (debug)
_0x270:
	SBRS R2,0
	RJMP _0x271
;    1133 					printf("$CRX:P2=Stop single sweep\r"); // Test message
	__POINTW1FN _478,354
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1134 				break;
_0x271:
	RJMP _0x265
;    1135 			}
;    1136 			default:  error = true; break; // illegal command
_0x272:
	SET
	BLD  R3,5
;    1137 		}
_0x265:
;    1138 	}   
;    1139 	else
	RJMP _0x273
_0x262:
;    1140 	if (u=='+')  // P3 increment in 62.5kHz steps
	LDD  R26,Y+50
	CPI  R26,LOW(0x2B)
	BREQ PC+3
	JMP _0x274
;    1141 	{                 
;    1142 		if (debug)
	SBRS R2,0
	RJMP _0x275
;    1143 			printf("$CRX:Single step +62.5kHz\r"); // Test message
	__POINTW1FN _478,381
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1144 		frequency = frequency + synthesizer_resolution; 
_0x275:
	LDS  R30,_frequency
	LDS  R31,_frequency+1
	LDS  R22,_frequency+2
	LDS  R23,_frequency+3
	__GETD2N 0x3D800000
	CALL __ADDF12
	STS  _frequency,R30
	STS  _frequency+1,R31
	STS  _frequency+2,R22
	STS  _frequency+3,R23
;    1145 		SetTuner(frequency);  		// old tuner-address, frequency[MHz]    
	CALL __PUTPARD1
	CALL _SetTuner
;    1146 		if (softtrigger)
	SBRS R2,2
	RJMP _0x276
;    1147 		{
;    1148 			adc_value = Evaluate_ADC(tuner); // read the ADC_value 
	LDS  R30,_tuner_G6
	ST   -Y,R30
	CALL _Evaluate_ADC
	STS  _adc_value,R30
	STS  _adc_value+1,R31
;    1149 			TransmitADC(adc_value);    
	ST   -Y,R31
	ST   -Y,R30
	CALL _TransmitADC
;    1150 		}                 
;    1151 		sweepcount++;
_0x276:
	LDD  R30,Y+30
	LDD  R31,Y+30+1
	ADIW R30,1
	STD  Y+30,R30
	STD  Y+30+1,R31
;    1152 		if (sweepcount > sweeplength) 
	LDS  R30,_sweeplength
	LDS  R31,_sweeplength+1
	LDD  R26,Y+30
	LDD  R27,Y+30+1
	CP   R30,R26
	CPC  R31,R27
	BRSH _0x277
;    1153 			sweepcount = 0;
	CLR  R30
	STD  Y+30,R30
	STD  Y+30+1,R30
;    1154 	}
_0x277:
;    1155 	else	
	RJMP _0x278
_0x274:
;    1156 	if (u=='-')  // P4 decrement in 62.5kHz steps
	LDD  R26,Y+50
	CPI  R26,LOW(0x2D)
	BREQ PC+3
	JMP _0x279
;    1157 	{                 
;    1158 		if (debug)
	SBRS R2,0
	RJMP _0x27A
;    1159 			printf("$CRX:Single step -62.5kHz\r"); // Test message
	__POINTW1FN _478,408
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1160 		frequency = frequency - synthesizer_resolution; 
_0x27A:
	LDS  R26,_frequency
	LDS  R27,_frequency+1
	LDS  R24,_frequency+2
	LDS  R25,_frequency+3
	__GETD1N 0x3D800000
	CALL __SWAPD12
	CALL __SUBF12
	STS  _frequency,R30
	STS  _frequency+1,R31
	STS  _frequency+2,R22
	STS  _frequency+3,R23
;    1161 		SetTuner(frequency);  		// old tuner-address, frequency[MHz]    
	CALL __PUTPARD1
	CALL _SetTuner
;    1162 		if (softtrigger)
	SBRS R2,2
	RJMP _0x27B
;    1163 		{
;    1164 			adc_value = Evaluate_ADC(tuner); // read the ADC_value 
	LDS  R30,_tuner_G6
	ST   -Y,R30
	CALL _Evaluate_ADC
	STS  _adc_value,R30
	STS  _adc_value+1,R31
;    1165 			TransmitADC(adc_value);    		
	ST   -Y,R31
	ST   -Y,R30
	CALL _TransmitADC
;    1166 		}                 
;    1167 		sweepcount--;
_0x27B:
	LDD  R30,Y+30
	LDD  R31,Y+30+1
	SBIW R30,1
	STD  Y+30,R30
	STD  Y+30+1,R31
;    1168 		if (sweepcount<1) 
	LDD  R26,Y+30
	LDD  R27,Y+30+1
	CPI  R26,LOW(0x1)
	LDI  R30,HIGH(0x1)
	CPC  R27,R30
	BRSH _0x27C
;    1169 			sweepcount = sweeplength;
	LDS  R30,_sweeplength
	LDS  R31,_sweeplength+1
	STD  Y+30,R30
	STD  Y+30+1,R31
;    1170 	}	
_0x27C:
;    1171 	else
	RJMP _0x27D
_0x279:
;    1172 	if (u=='R')  // Read Port(s)
	LDD  R26,Y+50
	CPI  R26,LOW(0x52)
	BREQ PC+3
	JMP _0x27E
;    1173 	{  
;    1174 		switch (v) // Evaluate parameter A...D
	LDD  R30,Y+49
;    1175 		{
;    1176 			case 17: p=PORTA;   break; // A
	CPI  R30,LOW(0x11)
	BRNE _0x282
	IN   R30,0x1B
	STD  Y+46,R30
	RJMP _0x281
;    1177 			case 18: p=PINB;   break; // B
_0x282:
	CPI  R30,LOW(0x12)
	BRNE _0x283
	IN   R30,0x16
	STD  Y+46,R30
	RJMP _0x281
;    1178 			case 19: p=PORTC;   break; // C
_0x283:
	CPI  R30,LOW(0x13)
	BRNE _0x284
	IN   R30,0x15
	STD  Y+46,R30
	RJMP _0x281
;    1179 			case 20: p=PIND;    break; // D    
_0x284:
	CPI  R30,LOW(0x14)
	BRNE _0x286
	IN   R30,0x10
	STD  Y+46,R30
	RJMP _0x281
;    1180 			//printf("PORTB.%u=%u\r",0,PINB.0);
;    1181 
;    1182 			default: error = true; break; // illegal command
_0x286:
	SET
	BLD  R3,5
;    1183 		}
_0x281:
;    1184 		sprintf(temp,"PORT%c=%u",cmd[1],p);
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	__POINTW1FN _478,435
	ST   -Y,R31
	ST   -Y,R30
	LDD  R26,Y+55
	LDD  R27,Y+55+1
	ADIW R26,1
	LD   R30,X
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+54
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,8
	CALL _sprintf
	ADIW R28,12
;    1185 		printf("$CRX:%s\r",temp); // send result to host
	__POINTW1FN _478,445
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1186 	} 
;    1187 	else 
	RJMP _0x287
_0x27E:
;    1188 	if (u=='S')  // Set Port
	LDD  R26,Y+50
	CPI  R26,LOW(0x53)
	BREQ PC+3
	JMP _0x288
;    1189 	{  
;    1190 		switch (v) // Evaluate first parameter 
	LDD  R30,Y+49
;    1191 		{
;    1192 			case 0: // S0 stop state machine
	CPI  R30,0
	BRNE _0x28C
;    1193 			{  	
;    1194 				StopTimer(); 	// disable the interrupt service routine (state machine)
	RCALL _StopTimer
;    1195 				printf("$CRX:Stopped\r"); // state machine started
	__POINTW1FN _478,454
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1196 				chip_select = 1;      // chip select high   
	SBI  0x18,4
;    1197 			        WDTCR = 0x1C;         // disable the watchdog timer
	LDI  R30,LOW(28)
	OUT  0x21,R30
;    1198 			        WDTCR = 0x17;
	LDI  R30,LOW(23)
	OUT  0x21,R30
;    1199 				if (debug)   
	SBRS R2,0
	RJMP _0x28D
;    1200 				{
;    1201 					printf("$CRX:Sweeplength%u\r",sweeplength); // send number of choosen frequencies to host to check   				
	__POINTW1FN _478,468
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_sweeplength
	LDS  R31,_sweeplength+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1202 					printf("$CRX:Stop state machine\r");   
	__POINTW1FN _478,488
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1203 				}	
;    1204 				break;				
_0x28D:
	RJMP _0x28B
;    1205 			} 
;    1206 			case 1:  // start state machine
_0x28C:
	CPI  R30,LOW(0x1)
	BREQ PC+3
	JMP _0x28E
;    1207 			{			
;    1208 				chip_select = 0;     // chip select low used for the external EEPROM
	CBI  0x18,4
;    1209 				spi(0x03);	// Command: read EEPROM
	LDI  R30,LOW(3)
	ST   -Y,R30
	CALL _spi
;    1210 				spi(0x00);	// Address high byte
	CLR  R30
	ST   -Y,R30
	CALL _spi
;    1211     				spi(0x00);	// Address low byte   
	CLR  R30
	ST   -Y,R30
	CALL _spi
;    1212      		     		counter      = 0;      // Init counter variable 
	CLR  R10
	CLR  R11
;    1213      		     		stepcount    = 0;      // Init the intgration counter
	CLR  R30
	STS  _stepcount,R30
	STS  _stepcount+1,R30
;    1214      		    		number_count = 0;      // reset the number of counts         		 	 
	CLR  R12
	CLR  R13
;    1215      		    		set_once = true;
	LDI  R30,LOW(1)
	MOV  R4,R30
;    1216      		    		transferdata = true; // reset and enable the datatransfer between host and mainboard\
	SET
	BLD  R2,6
;    1217      		    		stoptransfer = false;    // disable the datatransfer   (state machine)
	CLT
	BLD  R2,7
;    1218      		     	 	send_once    = true;         
	MOV  R6,R30
;    1219      		    		not_send     = false;  
	CLR  R5
;    1220      		    		eot_flag     = false; 		// don't send the eot character at start
	CLT
	BLD  R3,0
;    1221      		     		WDTCR |= (1<<WDE);   	// Write logical one to WDE watchdog enable flag
	IN   R30,0x21
	ORI  R30,8
	OUT  0x21,R30
;    1222      				if (debug)
	SBRS R2,0
	RJMP _0x28F
;    1223      			 		printf("$CRX:Start state machine\r");
	__POINTW1FN _478,513
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1224      				printf("$CRX:Started\r"); // state machine started 
_0x28F:
	__POINTW1FN _478,539
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1225      				printf("%u",2);   // start of transmission  
	__POINTW1FN _478,553
	ST   -Y,R31
	ST   -Y,R30
	__GETD1N 0x2
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1226      				StartTimer();  // enable the interrupt service routine			
	RCALL _StartTimer
;    1227      				break;
	RJMP _0x28B
;    1228 			}  
;    1229 			//case 17: // Port A forbidden
;    1230 			case 18: // Port B
_0x28E:
	CPI  R30,LOW(0x12)
	BRNE _0x290
;    1231 			{     
;    1232 				switch (w) // select bit in SBb
	LDD  R30,Y+48
;    1233 				{
;    1234 					case 0: PORTB.0=1; break;
	CPI  R30,0
	BRNE _0x294
	SBI  0x18,0
	RJMP _0x293
;    1235 					case 1: PORTB.1=1; break;
_0x294:
	CPI  R30,LOW(0x1)
	BRNE _0x295
	SBI  0x18,1
	RJMP _0x293
;    1236 					case 2: PORTB.2=1; break;
_0x295:
	CPI  R30,LOW(0x2)
	BRNE _0x296
	SBI  0x18,2
	RJMP _0x293
;    1237 					case 3: PORTB.3=1; break;
_0x296:
	CPI  R30,LOW(0x3)
	BRNE _0x297
	SBI  0x18,3
	RJMP _0x293
;    1238 					case 4: PORTB.4=1; break;
_0x297:
	CPI  R30,LOW(0x4)
	BRNE _0x298
	SBI  0x18,4
	RJMP _0x293
;    1239 					case 5: PORTB.5=1; break;
_0x298:
	CPI  R30,LOW(0x5)
	BRNE _0x299
	SBI  0x18,5
	RJMP _0x293
;    1240 					case 6: PORTB.6=1; break;
_0x299:
	CPI  R30,LOW(0x6)
	BRNE _0x29A
	SBI  0x18,6
	RJMP _0x293
;    1241 					case 7: PORTB.7=1; break;
_0x29A:
	CPI  R30,LOW(0x7)
	BRNE _0x29C
	SBI  0x18,7
	RJMP _0x293
;    1242 					default: error=true; break; // illegal command
_0x29C:
	SET
	BLD  R3,5
;    1243 				}
_0x293:
;    1244 				break; 
	RJMP _0x28B
;    1245 			}
;    1246 			case 19: // Port C
_0x290:
	CPI  R30,LOW(0x13)
	BRNE _0x29D
;    1247 			{     
;    1248 				switch (w) // select bit in SCb
	LDD  R30,Y+48
;    1249 				{
;    1250 					case 0: PORTC.0=1; break;
	CPI  R30,0
	BRNE _0x2A1
	SBI  0x15,0
	RJMP _0x2A0
;    1251 					case 1: PORTC.1=1; break;
_0x2A1:
	CPI  R30,LOW(0x1)
	BRNE _0x2A2
	SBI  0x15,1
	RJMP _0x2A0
;    1252 					case 2: PORTC.2=1; break;
_0x2A2:
	CPI  R30,LOW(0x2)
	BRNE _0x2A3
	SBI  0x15,2
	RJMP _0x2A0
;    1253 					case 3: PORTC.3=1; break;
_0x2A3:
	CPI  R30,LOW(0x3)
	BRNE _0x2A4
	SBI  0x15,3
	RJMP _0x2A0
;    1254 					case 4: PORTC.4=1; break;
_0x2A4:
	CPI  R30,LOW(0x4)
	BRNE _0x2A5
	SBI  0x15,4
	RJMP _0x2A0
;    1255 					case 5: PORTC.5=1; break;
_0x2A5:
	CPI  R30,LOW(0x5)
	BRNE _0x2A6
	SBI  0x15,5
	RJMP _0x2A0
;    1256 					case 6: PORTC.6=1; break;
_0x2A6:
	CPI  R30,LOW(0x6)
	BRNE _0x2A7
	SBI  0x15,6
	RJMP _0x2A0
;    1257 					case 7: PORTC.7=1; break;
_0x2A7:
	CPI  R30,LOW(0x7)
	BRNE _0x2A9
	SBI  0x15,7
	RJMP _0x2A0
;    1258 					default: error=true; break; // illegal command
_0x2A9:
	SET
	BLD  R3,5
;    1259 				}
_0x2A0:
;    1260 				break; 
	RJMP _0x28B
;    1261 			}
;    1262 			case 20: // Port D
_0x29D:
	CPI  R30,LOW(0x14)
	BRNE _0x2B7
;    1263 			{     
;    1264 				switch (w) // select bit in SDb
	LDD  R30,Y+48
;    1265 				{
;    1266 					case 0: PORTD.0=1; break;
	CPI  R30,0
	BRNE _0x2AE
	SBI  0x12,0
	RJMP _0x2AD
;    1267 					case 1: PORTD.1=1; break;
_0x2AE:
	CPI  R30,LOW(0x1)
	BRNE _0x2AF
	SBI  0x12,1
	RJMP _0x2AD
;    1268 					case 2: PORTD.2=1; break;
_0x2AF:
	CPI  R30,LOW(0x2)
	BRNE _0x2B0
	SBI  0x12,2
	RJMP _0x2AD
;    1269 					case 3: PORTD.3=1; break;
_0x2B0:
	CPI  R30,LOW(0x3)
	BRNE _0x2B1
	SBI  0x12,3
	RJMP _0x2AD
;    1270 					case 4: PORTD.4=1; break;
_0x2B1:
	CPI  R30,LOW(0x4)
	BRNE _0x2B2
	SBI  0x12,4
	RJMP _0x2AD
;    1271 					case 5: PORTD.5=1; break;
_0x2B2:
	CPI  R30,LOW(0x5)
	BRNE _0x2B3
	SBI  0x12,5
	RJMP _0x2AD
;    1272 					case 6: PORTD.6=1; break;
_0x2B3:
	CPI  R30,LOW(0x6)
	BRNE _0x2B4
	SBI  0x12,6
	RJMP _0x2AD
;    1273 					case 7: PORTD.7=1; break;
_0x2B4:
	CPI  R30,LOW(0x7)
	BRNE _0x2B6
	SBI  0x12,7
	RJMP _0x2AD
;    1274 					default: error=true; break; // illegal command
_0x2B6:
	SET
	BLD  R3,5
;    1275 				}
_0x2AD:
;    1276 				break; 
	RJMP _0x28B
;    1277 			} 
;    1278 			default: error = true; break; // illegal command
_0x2B7:
	SET
	BLD  R3,5
;    1279 		}
_0x28B:
;    1280 	} 
;    1281 	else 
	RJMP _0x2B8
_0x288:
;    1282 	if (u=='T')  // Trigger mode
	LDD  R26,Y+50
	CPI  R26,LOW(0x54)
	BRNE _0x2B9
;    1283 	{          
;    1284 		softtrigger   = false;
	CLT
	BLD  R2,2
;    1285 		timertrigger  = false;
	CLT
	BLD  R2,3
;    1286 		externtrigger = false;
	CLT
	BLD  R2,4
;    1287 		switch (v) // Evaluate parameter 0..2
	LDD  R30,Y+49
;    1288 		{
;    1289 			case 0: // T0=trigger via software
	CPI  R30,0
	BRNE _0x2BD
;    1290 			{
;    1291 				softtrigger = true; 
	SET
	BLD  R2,2
;    1292 				break;     
	RJMP _0x2BC
;    1293 			}
;    1294 			case 1: // T1=trigger via ATmega16 crystal 11.0592MHz
_0x2BD:
	CPI  R30,LOW(0x1)
	BRNE _0x2BE
;    1295 			{
;    1296 				InitTimerSynClock(prescaler_value_Syn);  //internal syn. clock 11.0592MHz
	LDS  R30,_prescaler_value_Syn
	LDS  R31,_prescaler_value_Syn+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL _InitTimerSynClock
;    1297 				if (debug)
	SBRS R2,0
	RJMP _0x2BF
;    1298     					printf("$CRX:internal clock\r");	
	__POINTW1FN _478,556
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1299 				timertrigger = true; 
_0x2BF:
	SET
	BLD  R2,3
;    1300 				break; 
	RJMP _0x2BC
;    1301 			}
;    1302 			case 2: // T2=trigger via external clock
_0x2BE:
	CPI  R30,LOW(0x2)
	BRNE _0x2C2
;    1303 			{				
;    1304 				InitTimerAsynClock(prescaler_value_Asyn); //external asyn. clock 1MHz Timer/counter1 is used
	LDS  R30,_prescaler_value_Asyn
	LDS  R31,_prescaler_value_Asyn+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL _InitTimerAsynClock
;    1305 				if (debug)
	SBRS R2,0
	RJMP _0x2C1
;    1306     					printf("$CRX:external clock\r");
	__POINTW1FN _478,577
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1307 				externtrigger = true; 
_0x2C1:
	SET
	BLD  R2,4
;    1308 				break;    
	RJMP _0x2BC
;    1309 			}
;    1310 			default: error = true; break; // illegal command
_0x2C2:
	SET
	BLD  R3,5
;    1311 		} 
_0x2BC:
;    1312 	} 
;    1313 	else   
	RJMP _0x2C3
_0x2B9:
;    1314 	if (u=='U')  // Read system voltages
	LDD  R26,Y+50
	CPI  R26,LOW(0x55)
	BREQ PC+3
	JMP _0x2C4
;    1315 	{                 
;    1316  		adc_value = Evaluate_ADC(v);
	LDD  R30,Y+49
	ST   -Y,R30
	CALL _Evaluate_ADC
	STS  _adc_value,R30
	STS  _adc_value+1,R31
;    1317  		uin = (float)adc_value*adc_reference/adc_resolution; // get voltage  
	CLR  R22
	CLR  R23
	CALL __CDF1
	__GETD2N 0x451C4000
	CALL __MULF12
	MOVW R26,R30
	MOVW R24,R22
	__GETD1N 0x44800000
	CALL __DIVF21
	STS  _uin,R30
	STS  _uin+1,R31
	STS  _uin+2,R22
	STS  _uin+3,R23
;    1318 		switch (v) // Evaluate parameter
	LDD  R30,Y+49
;    1319 		{
;    1320 			case 2: // receiver gain control voltage 
	CPI  R30,LOW(0x2)
	BREQ PC+3
	JMP _0x2C8
;    1321 			{
;    1322 				rht = 2.0*uin/adc_scaling;
	LDS  R30,_uin
	LDS  R31,_uin+1
	LDS  R22,_uin+2
	LDS  R23,_uin+3
	__GETD2N 0x40000000
	CALL __MULF12
	MOVW R26,R30
	MOVW R24,R22
	__GETD1N 0x447A0000
	CALL __DIVF21
	STS  _rht,R30
	STS  _rht+1,R31
	STS  _rht+2,R22
	STS  _rht+3,R23
;    1323 				printf("$CRX:AGC gain = %u.%02uV\r",(int)(rht),(int)(100.0*(rht-(int)(rht)) ));
	__POINTW1FN _478,598
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_rht
	LDS  R31,_rht+1
	LDS  R22,_rht+2
	LDS  R23,_rht+3
	CALL __CFD1
	CALL __CWD1
	CALL __PUTPARD1
	LDS  R30,_rht
	LDS  R31,_rht+1
	LDS  R22,_rht+2
	LDS  R23,_rht+3
	CALL __CFD1
	LDS  R26,_rht
	LDS  R27,_rht+1
	LDS  R24,_rht+2
	LDS  R25,_rht+3
	CALL __CWD1
	CALL __CDF1
	CALL __SWAPD12
	CALL __SUBF12
	__GETD2N 0x42C80000
	CALL __MULF12
	CALL __CFD1
	CALL __CWD1
	CALL __PUTPARD1
	LDI  R24,8
	CALL _printf
	ADIW R28,10
;    1324 				break; 
	RJMP _0x2C7
;    1325 
;    1326 			}
;    1327 			case 3: // GND
_0x2C8:
	CPI  R30,LOW(0x3)
	BRNE _0x2C9
;    1328 			{
;    1329 				break; 
	RJMP _0x2C7
;    1330 			}         
;    1331 			case 4: // GND
_0x2C9:
	CPI  R30,LOW(0x4)
	BREQ PC+3
	JMP _0x2CA
;    1332 			{                                                 
;    1333                                	rht = uin/adc_scaling;
	LDS  R26,_uin
	LDS  R27,_uin+1
	LDS  R24,_uin+2
	LDS  R25,_uin+3
	__GETD1N 0x447A0000
	CALL __DIVF21
	STS  _rht,R30
	STS  _rht+1,R31
	STS  _rht+2,R22
	STS  _rht+3,R23
;    1334 				printf("$CRX:Emitter BF199 = %u.%02uV\r",(int)(rht),(int)(100.0*(rht-(int)(rht)) ));
	__POINTW1FN _478,624
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_rht
	LDS  R31,_rht+1
	LDS  R22,_rht+2
	LDS  R23,_rht+3
	CALL __CFD1
	CALL __CWD1
	CALL __PUTPARD1
	LDS  R30,_rht
	LDS  R31,_rht+1
	LDS  R22,_rht+2
	LDS  R23,_rht+3
	CALL __CFD1
	LDS  R26,_rht
	LDS  R27,_rht+1
	LDS  R24,_rht+2
	LDS  R25,_rht+3
	CALL __CWD1
	CALL __CDF1
	CALL __SWAPD12
	CALL __SUBF12
	__GETD2N 0x42C80000
	CALL __MULF12
	CALL __CFD1
	CALL __CWD1
	CALL __PUTPARD1
	LDI  R24,8
	CALL _printf
	ADIW R28,10
;    1335 				break; 
	RJMP _0x2C7
;    1336 			}
;    1337 			case 5: // GND
_0x2CA:
	CPI  R30,LOW(0x5)
	BRNE _0x2CB
;    1338 			{                                              
;    1339 				break; 	
	RJMP _0x2C7
;    1340 			}  	
;    1341 			case 6: //  input voltage (+12V)
_0x2CB:
	CPI  R30,LOW(0x6)
	BREQ PC+3
	JMP _0x2CC
;    1342 			{                                              
;    1343 				rht = uin/(adc_scaling)*6.6;
	LDS  R26,_uin
	LDS  R27,_uin+1
	LDS  R24,_uin+2
	LDS  R25,_uin+3
	__GETD1N 0x447A0000
	CALL __DIVF21
	__GETD2N 0x40D33333
	CALL __MULF12
	STS  _rht,R30
	STS  _rht+1,R31
	STS  _rht+2,R22
	STS  _rht+3,R23
;    1344 				printf("$CRX:Analog Input = %u.%02u%V\r",(int)(rht),(int)(100.0*(rht-(int)(rht)) ));
	__POINTW1FN _478,655
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_rht
	LDS  R31,_rht+1
	LDS  R22,_rht+2
	LDS  R23,_rht+3
	CALL __CFD1
	CALL __CWD1
	CALL __PUTPARD1
	LDS  R30,_rht
	LDS  R31,_rht+1
	LDS  R22,_rht+2
	LDS  R23,_rht+3
	CALL __CFD1
	LDS  R26,_rht
	LDS  R27,_rht+1
	LDS  R24,_rht+2
	LDS  R25,_rht+3
	CALL __CWD1
	CALL __CDF1
	CALL __SWAPD12
	CALL __SUBF12
	__GETD2N 0x42C80000
	CALL __MULF12
	CALL __CFD1
	CALL __CWD1
	CALL __PUTPARD1
	LDI  R24,8
	CALL _printf
	ADIW R28,10
;    1345 				break;  	
	RJMP _0x2C7
;    1346 			}	
;    1347 			case 7: // GND
_0x2CC:
	CPI  R30,LOW(0x7)
	BREQ _0x2C7
;    1348 			{                                              
;    1349 				break; 
;    1350 			}
;    1351 			default: error = true;  break; // illegal command
	SET
	BLD  R3,5
;    1352 		}
_0x2C7:
;    1353 	} 
;    1354 	else
	RJMP _0x2CF
_0x2C4:
;    1355 	if (u=='%')  // Transmision format (for tests only)
	LDD  R26,Y+50
	CPI  R26,LOW(0x25)
	BRNE _0x2D0
;    1356 	{          
;    1357 		switch (v) // Evaluate parameter 0..2
	LDD  R30,Y+49
;    1358 		{
;    1359 			case 0: format=0; break; 		// decimal 10bit
	CPI  R30,0
	BRNE _0x2D4
	CLR  R30
	STS  _format,R30
	RJMP _0x2D3
;    1360 			case 1: format=1; break; 		// decimal 8bit
_0x2D4:
	CPI  R30,LOW(0x1)
	BRNE _0x2D5
	LDI  R30,LOW(1)
	STS  _format,R30
	RJMP _0x2D3
;    1361 			case 2: format=2; break; 		// Millivolt
_0x2D5:
	CPI  R30,LOW(0x2)
	BRNE _0x2D6
	LDI  R30,LOW(2)
	STS  _format,R30
	RJMP _0x2D3
;    1362 			case 3: format=3; break; 		// HEX TransmitString()
_0x2D6:
	CPI  R30,LOW(0x3)
	BRNE _0x2D7
	LDI  R30,LOW(3)
	STS  _format,R30
	RJMP _0x2D3
;    1363 			case 4: format=4; break; 		// HEX SendString()
_0x2D7:
	CPI  R30,LOW(0x4)
	BRNE _0x2D8
	LDI  R30,LOW(4)
	STS  _format,R30
	RJMP _0x2D3
;    1364 			case 5: format=5; break; 		// frequency+decimal Millivolt
_0x2D8:
	CPI  R30,LOW(0x5)
	BRNE _0x2DA
	LDI  R30,LOW(5)
	STS  _format,R30
	RJMP _0x2D3
;    1365 			default: error = true;  break; 	// illegal command
_0x2DA:
	SET
	BLD  R3,5
;    1366 		} 
_0x2D3:
;    1367 		if (debug)
	SBRS R2,0
	RJMP _0x2DB
;    1368 			printf("$CRX:TransmissionFormat=%u\r",format); // Test message
	__POINTW1FN _478,686
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_format
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1369 	} 
_0x2DB:
;    1370 	else 
	RJMP _0x2DC
_0x2D0:
;    1371 	if (u=='?')  // Read system infos
	LDD  R26,Y+50
	CPI  R26,LOW(0x3F)
	BREQ PC+3
	JMP _0x2DD
;    1372 	{                 			
;    1373   		printf("$CRX:%s\r",version);  // Start message (version)  
	__POINTW1FN _478,714
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_version)
	LDI  R31,HIGH(_version)
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1374   				 	
;    1375 		if (debug)
	SBRS R2,0
	RJMP _0x2DE
;    1376 			printf("$CRX:Debug=On\r");
	__POINTW1FN _478,723
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	RJMP _0x56C
;    1377 		else
_0x2DE:
;    1378 			printf("$CRX:Debug=Off\r");
	__POINTW1FN _478,738
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
_0x56C:
	CALL _printf
	ADIW R28,2
;    1379 	
;    1380 		if (softtrigger)
	SBRS R2,2
	RJMP _0x2E0
;    1381 			printf("$CRX:Trigger=Soft\r");
	__POINTW1FN _478,754
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1382 		else
	RJMP _0x2E1
_0x2E0:
;    1383 		if (timertrigger)
	SBRS R2,3
	RJMP _0x2E2
;    1384 			printf("$CRX:Trigger=Intern\r");
	__POINTW1FN _478,773
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1385 		else
	RJMP _0x2E3
_0x2E2:
;    1386 		if (externtrigger)
	SBRS R2,4
	RJMP _0x2E4
;    1387 			printf("$CRX:Trigger=Extern\r");
	__POINTW1FN _478,794
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	RJMP _0x56D
;    1388 		else
_0x2E4:
;    1389 			printf("$CRX:Trigger=No\r"); 
	__POINTW1FN _478,815
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
_0x56D:
	CALL _printf
	ADIW R28,2
_0x2E3:
_0x2E1:
;    1390 		
;    1391 		printf("$CRX:FPUcodex=%u\r",FPUcodex);    
	__POINTW1FN _478,832
	ST   -Y,R31
	ST   -Y,R30
	MOV  R30,R7
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1392 		printf("$CRX:GS =%u\r",prescaler_value_Syn);  
	__POINTW1FN _478,850
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_prescaler_value_Syn
	LDS  R31,_prescaler_value_Syn+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1393 		printf("$CRX:GA =%u\r",prescaler_value_Asyn);  
	__POINTW1FN _478,863
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_prescaler_value_Asyn
	LDS  R31,_prescaler_value_Asyn+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1394 		
;    1395 		printf("$CRX:Delay=%umsec\r",measuringtime); // soft-delay
	__POINTW1FN _478,876
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_measuringtime
	LDS  R31,_measuringtime+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1396 													
;    1397 		f_MHz = (Word)frequency;
	LDS  R30,_frequency
	LDS  R31,_frequency+1
	LDS  R22,_frequency+2
	LDS  R23,_frequency+3
	CALL __CFD1
	STD  Y+36,R30
	STD  Y+36+1,R31
;    1398 		printf("$CRX:Frequency=%u.%uMHz\r",f_MHz,(Word)((frequency-f_MHz)*1000+0.5)); // MHz
	__POINTW1FN _478,895
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+38
	LDD  R31,Y+38+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDD  R30,Y+42
	LDD  R31,Y+42+1
	LDS  R26,_frequency
	LDS  R27,_frequency+1
	LDS  R24,_frequency+2
	LDS  R25,_frequency+3
	CLR  R22
	CLR  R23
	CALL __CDF1
	CALL __SWAPD12
	CALL __SUBF12
	__GETD2N 0x447A0000
	CALL __MULF12
	__GETD2N 0x3F000000
	CALL __ADDF12
	CALL __CFD1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,8
	CALL _printf
	ADIW R28,10
;    1399 		
;    1400 		printf("$CRX:Sweeplength=%u\r",sweeplength); // pixel    
	__POINTW1FN _478,920
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_sweeplength
	LDS  R31,_sweeplength+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1401 		
;    1402 		low_band_max = EEPROM_read(115); // TL low_band_max value
	LDI  R30,LOW(115)
	LDI  R31,HIGH(115)
	ST   -Y,R31
	ST   -Y,R30
	RCALL _EEPROM_read
	CALL __CFD1
	STS  _low_band_max,R30
	STS  _low_band_max+1,R31
;    1403 		printf("$CRX:low_band_max=%uMHz\r",low_band_max); // pixel
	__POINTW1FN _478,941
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_low_band_max
	LDS  R31,_low_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1404 		
;    1405 		mid_band_max = EEPROM_read(120); // TM mid_band_max value
	LDI  R30,LOW(120)
	LDI  R31,HIGH(120)
	ST   -Y,R31
	ST   -Y,R30
	RCALL _EEPROM_read
	CALL __CFD1
	STS  _mid_band_max,R30
	STS  _mid_band_max+1,R31
;    1406 		printf("$CRX:mid_band_max=%uMHz\r",mid_band_max); // pixel
	__POINTW1FN _478,966
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_mid_band_max
	LDS  R31,_mid_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1407 		
;    1408 		high_band_max = EEPROM_read(125); // TH high_band_max value
	LDI  R30,LOW(125)
	LDI  R31,HIGH(125)
	ST   -Y,R31
	ST   -Y,R30
	RCALL _EEPROM_read
	CALL __CFD1
	STS  _high_band_max,R30
	STS  _high_band_max+1,R31
;    1409 		printf("$CRX:high_band_max=%uMHz\r",high_band_max); // pixel
	__POINTW1FN _478,991
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_high_band_max
	LDS  R31,_high_band_max+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,6
;    1410 		
;    1411 		//printf("$CRX:Idle=%ux\r",idlecount);
;    1412 		printf("$CRX:Idle=0\r");
	__POINTW1FN _478,1017
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1413 	} 
;    1414 	else  
	RJMP _0x2E6
_0x2DD:
;    1415 	if (u=='\0')  // ENTER pressed by the host/user
	LDD  R30,Y+50
	CPI  R30,0
	BREQ _0x2E8
;    1416 	{  
;    1417 		// nothing to do
;    1418 	}
;    1419 	else
;    1420 		error = true; 
	SET
	BLD  R3,5
_0x2E8:
_0x2E6:
_0x2DC:
_0x2CF:
_0x2C3:
_0x2B8:
_0x287:
_0x27D:
_0x278:
_0x273:
_0x261:
_0x25E:
_0x258:
_0x255:
_0x24B:
_0x234:
_0x22C:
_0x223:
_0x1F4:
;    1421 	
;    1422 	// check error state 	
;    1423 	if (error) 
	SBRS R3,5
	RJMP _0x2E9
;    1424 	{
;    1425 		printf("$CRX:illegal command!\r"); // unknown command, no further action
	__POINTW1FN _478,1030
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1426 		error = false; // Reset error flag
	CLT
	BLD  R3,5
;    1427 	}
;    1428 }
_0x2E9:
	ADIW R28,53
	RET
;    1429 //-------------------------------------------------------------------------------------
;    1430 
;    1431 	
;    1432 	           
;    1433 /*-----------------------------------------------------------------------*/
;    1434 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;    1435 /*-----------------------------------------------------------------------*/
;    1436 /*  Programmname: timer.c                                                */
;    1437 /*                                                                       */
;    1438 /*  Revision: V1.0     Date: 10.03.2003    Autor: Hansueli Meyer         */
;    1439 /*                                                                       */
;    1440 /*  Purpose: main function for the timer interrupt (state machine)       */
;    1441 /*                                                                       */
;    1442 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;    1443 /*-----------------------------------------------------------------------*/
;    1444 
;    1445 // Created by: Hansueli Meyer 27.01.2003  
;    1446 // Updated by: Hansueli Meyer 21.03.2003 external EEPROM via SPI built in
;    1447 // Updated by: Hansueli Meyer 27.03.2003 start and stop functions timer
;    1448 // Updated by: Hansueli Meyer 21.04.2003 state machine implemented
;    1449 // Updated by: Hansueli Meyer 15.06.2003 state machine parallel and alternating measireing mode
;    1450 // Updated by: Hansueli Meyer 21.07.2003 integration mode of data    
;    1451 // Updated by: Hansueli Meyer 12.06.2003 watchdog timer implemented   
;    1452 // Updated by: Hansueli Meyer 20.09.2003 different FPU codes implemented
;    1453 // Updated by: Hansueli Meyer 10.10.2003 PMM and AMM removed, new file for differnt observation modes O0-O8
;    1454 // Updated by: Hansueli Meyer 02.01.2004 the tunercode is now storaged in the EEPROM (not the frequency)
;    1455 // Updated by: Chr. Monstein  21.09.2010 Anpassungen an 10Bit HAM
;    1456 
;    1457 //-------------------------------------------------------------------------------------      
;    1458 
;    1459 //include files
;    1460 #include <delay.h>  
;    1461 #include <math.h>     
;    1462 #include <spi.h>     
;    1463 #include <stdio.h>
;    1464 #include <mega16.h>
;    1465 #include <stdlib.h>     
;    1466 #include <ctype.h>
;    1467 
;    1468 #include "callisto.h"    
;    1469 #include "rs232.h" 
;    1470 #include "command.h"
;    1471 #include "digital_io.h"  
;    1472 #include "tuner.h" 
;    1473 #include "adc.h"
;    1474 #include "timer.h"
;    1475 #include "spieeprom.h" 
;    1476 #include "setfopa.h"    
;    1477 
;    1478 extern bit transferdata;      // import from callisto.c 
;    1479 extern bit stoptransfer;      // import from callisto.c   	
;    1480 extern bit eot_flag;          // import from callisto.c    
;    1481 extern bit send_result;       // import from callisto.c 
;    1482 
;    1483 extern Byte set_once;
;    1484 extern Byte send_once;  
;    1485 extern Byte not_send;   
;    1486 extern Word result;           // state machine tuner value  
;    1487 
;    1488 extern Byte FPUcodex;         // FPU codes for tuner0 or tuner1 
;    1489 
;    1490 extern Word number_count;     // import from callisto.c 
;    1491 extern Word counter;          // count the measured frequencies used in command.c (GH)   
;    1492 extern Word sweeplength;      // import from command.c  
;    1493 extern Word stepcount;        // import from command.c  
;    1494 extern Word adc_value;	      // import from adc.c 
;    1495 extern bit reset_flag;	      // import from callisto.c   
;    1496 
;    1497 extern float frequency;       // imported from callisto.c	
;    1498 
;    1499 //------------------------------------------------------------------------------------
;    1500 void InitTimerSynClock(Word prescaler_value_Syn) //internal clock 11.0592MHz Timer/counter1 is used
;    1501 {
_InitTimerSynClock:
;    1502 	TCCR1B=0x0B; 		// set Timer1 and prescaler_value (prescaler 0x0A=8;0x0B=64;0x0C=256)
	LDI  R30,LOW(11)
	OUT  0x2E,R30
;    1503 	OCR1A=prescaler_value_Syn;  // scaler value for synchrounos mode
	LD   R30,Y
	LDD  R31,Y+1
	OUT  0x2A+1,R31
	OUT  0x2A,R30
;    1504 } 
	RJMP _0x569
;    1505 //------------------------------------------------------------------------------------
;    1506 void InitTimerAsynClock(Word prescaler_value_Asy) //external clock 1MHz Timer/counter1 is used
;    1507 {
_InitTimerAsynClock:
;    1508 	TCCR1B=0x0F; 		// Timer1 working as a counter (no prescaler)  
	LDI  R30,LOW(15)
	OUT  0x2E,R30
;    1509 	OCR1A=prescaler_value_Asy; // scaler value for asynchrounos mode
	LD   R30,Y
	LDD  R31,Y+1
	OUT  0x2A+1,R31
	OUT  0x2A,R30
;    1510 	DDRB=0xBC; 			// Set PB1 and PB0 as an Input 
	LDI  R30,LOW(188)
	OUT  0x17,R30
;    1511 }    
_0x569:
	ADIW R28,2
	RET
;    1512 //------------------------------------------------------------------------------------
;    1513 void StartTimer(void)  		// Start counter synchrounos internal clocking 11.0592MHz
;    1514 {
_StartTimer:
;    1515 	TIFR=enable_interrupt;	// enable Output Compare Flag 1A
	LDI  R30,LOW(16)
	OUT  0x38,R30
;    1516 	TIMSK=enable_interrupt;	// Timer/Counter1 Output Compare A Match Interrupt Enable    
	OUT  0x39,R30
;    1517 }
	RET
;    1518 //------------------------------------------------------------------------------------
;    1519 void StopTimer(void)  		// Stop counter synchrounos internal clocking 11.0592MHz
;    1520 {
_StopTimer:
;    1521 	TIFR=disable_interrupt; // disable Output Compare Flag 1A
	CLR  R30
	OUT  0x38,R30
;    1522 	TIMSK=disable_interrupt;// Timer/Counter1 Output Compare A Match Interrupt Disable    
	OUT  0x39,R30
;    1523 } 
	RET
;    1524 //------------------------------------------------------------------------------------
;    1525 interrupt [TIM1_COMPA] void timer1_compa_isr(void) //interrupt for the main loop PMM
;    1526 {           	
_timer1_compa_isr:
	CALL __SAVEISR
;    1527       static Byte state1=0; 

	.DSEG
_state1_S18:
	.BYTE 0x1

	.CSEG
;    1528       static Byte db1,db2,cb,bb; 

	.DSEG
_db1_S18:
	.BYTE 0x1
_db2_S18:
	.BYTE 0x1
_cb_S18:
	.BYTE 0x1
_bb_S18:
	.BYTE 0x1

	.CSEG
;    1529       Byte dummy1,dummy2,dummy3,dummy4;  
;    1530       static Byte no_data;  

	.DSEG
_no_data_S18:
	.BYTE 0x1

	.CSEG
;    1531               
;    1532       counter=(counter)%(sweeplength);
	CALL __SAVELOCR4
;	dummy1 -> R16
;	dummy2 -> R17
;	dummy3 -> R18
;	dummy4 -> R19
	LDS  R30,_sweeplength
	LDS  R31,_sweeplength+1
	__GETW2R 10,11
	CALL __MODW21U
	__PUTW1R 10,11
;    1533       
;    1534           if (transferdata && (counter==0))   // disable the data transmission but finish the sweewplength
	SBRS R2,6
	RJMP _0x356
	CLR  R0
	CP   R0,R10
	CPC  R0,R11
	BREQ _0x357
_0x356:
	RJMP _0x355
_0x357:
;    1535 	  {  
;    1536  			stoptransfer=false; 
	CLT
	BLD  R2,7
;    1537   			if ((eot_flag) && (send_once)) 
	SBRS R3,0
	RJMP _0x359
	TST  R6
	BRNE _0x35A
_0x359:
	RJMP _0x358
_0x35A:
;    1538   			{ 
;    1539   				printf("23232323");
	__POINTW1FN _852,0
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1540   				printf("&");    // end of transmission 
	__POINTW1FN _852,9
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1541   				send_once=false;      
	CLR  R6
;    1542   	   		}  			
;    1543   	  }         	
_0x358:
;    1544   	  if ((!transferdata) && (counter==0))  // enable the data transmission but finish the sweeplength
_0x355:
	SBRC R2,6
	RJMP _0x35C
	CLR  R0
	CP   R0,R10
	CPC  R0,R11
	BREQ _0x35D
_0x35C:
	RJMP _0x35B
_0x35D:
;    1545  	  {  
;    1546   	    	stoptransfer=true; 
	SET
	BLD  R2,7
;    1547   	    	not_send=true;  
	LDI  R30,LOW(1)
	MOV  R5,R30
;    1548   			if (set_once) 
	TST  R4
	BREQ _0x35E
;    1549   			{
;    1550   				no_data=0; 
	CLR  R30
	STS  _no_data_S18,R30
;    1551   				set_once=false;			
	CLR  R4
;    1552   			}
;    1553   	  }  
_0x35E:
;    1554          
;    1555           switch (state1)
_0x35B:
	LDS  R30,_state1_S18
;    1556    	  {
;    1557  		case 0:    // functions need about 260us
	CPI  R30,0
	BRNE _0x362
;    1558  		{ 						 		      
;    1559  					       
;    1560  			// set tuner 0 		      
;    1561                      // Output sequence to device via digital-I/O-Port, send start bit first
;    1562                     I2C_Start();
	CALL _I2C_Start
;    1563                     
;    1564                     I2C_Wrbyte(192); // Send address byte
	LDI  R30,LOW(192)
	ST   -Y,R30
	CALL _I2C_Wrbyte
;    1565                     I2C_Wrbyte(db1); // Send divider byte 1
	LDS  R30,_db1_S18
	ST   -Y,R30
	CALL _I2C_Wrbyte
;    1566                     I2C_Wrbyte(db2); // Send divider byte 2
	LDS  R30,_db2_S18
	ST   -Y,R30
	CALL _I2C_Wrbyte
;    1567                     I2C_Wrbyte(cb);  // Send control byte
	LDS  R30,_cb_S18
	ST   -Y,R30
	CALL _I2C_Wrbyte
;    1568                     I2C_Wrbyte(bb);  // Send band-switch byte
	LDS  R30,_bb_S18
	ST   -Y,R30
	CALL _I2C_Wrbyte
;    1569                     
;    1570                     // Send stopp bit
;    1571                     I2C_Stop();
	CALL _I2C_Stop
;    1572                       	         	    			   					
;    1573  			//result = ADCW>>2; // read ADC 8bit should be enough value   
;    1574  			result = ADCW; // read ADC 10bit which is better...
	__INWR 8,9,4
;    1575  			SetFPU((Byte)FPUcodex); // set FPU, normally left first   1us   		
	ST   -Y,R7
	RCALL _SetFPU
;    1576   			state1++;
	LDS  R30,_state1_S18
	SUBI R30,-LOW(1)
	STS  _state1_S18,R30
;    1577   			break;
	RJMP _0x361
;    1578   		}		 		
;    1579         	case 1:  // functions need about 260us
_0x362:
	CPI  R30,LOW(0x1)
	BREQ PC+3
	JMP _0x369
;    1580         	{      		  	  		  
;    1581             		if (counter==0)
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x364
;    1582             		{
;    1583                 		chip_select=1;  // chip select high	   
	SBI  0x18,4
;    1584                 		chip_select=0;  // chip select low
	CBI  0x18,4
;    1585                 		spi(0x03);      // Command: read EEPROM
	LDI  R30,LOW(3)
	ST   -Y,R30
	CALL _spi
;    1586                 		spi(0x00);	// Address high byte=0 because start at address=0
	CLR  R30
	ST   -Y,R30
	CALL _spi
;    1587                     		spi(0x00);      // Address low byte=0 because start at address=0                   
	CLR  R30
	ST   -Y,R30
	CALL _spi
;    1588              		}  
;    1589 			db1=spi(0); 
_0x364:
	CLR  R30
	ST   -Y,R30
	CALL _spi
	STS  _db1_S18,R30
;    1590 			db2=spi(0);
	CLR  R30
	ST   -Y,R30
	CALL _spi
	STS  _db2_S18,R30
;    1591 			cb=spi(0);
	CLR  R30
	ST   -Y,R30
	CALL _spi
	STS  _cb_S18,R30
;    1592 			bb=spi(0);  
	CLR  R30
	ST   -Y,R30
	CALL _spi
	STS  _bb_S18,R30
;    1593 		        dummy1=spi(0);
	CLR  R30
	ST   -Y,R30
	CALL _spi
	MOV  R16,R30
;    1594 		 	dummy2=spi(0);
	CLR  R30
	ST   -Y,R30
	CALL _spi
	MOV  R17,R30
;    1595 		    	dummy3=spi(0);
	CLR  R30
	ST   -Y,R30
	CALL _spi
	MOV  R18,R30
;    1596 		    	dummy4=spi(0);   		  		
	CLR  R30
	ST   -Y,R30
	CALL _spi
	MOV  R19,R30
;    1597   		  	
;    1598             		if ((stoptransfer) && (no_data==2))     
	SBRS R2,7
	RJMP _0x366
	LDS  R26,_no_data_S18
	CPI  R26,LOW(0x2)
	BREQ _0x367
_0x366:
	RJMP _0x365
_0x367:
;    1599             		{
;    1600              		 	send_result=true; 
	SET
	BLD  R3,1
;    1601              		 	no_data=1;    		 		  
	LDI  R30,LOW(1)
	STS  _no_data_S18,R30
;    1602             		}  
;    1603             		if (not_send)       
_0x365:
	TST  R5
	BREQ _0x368
;    1604                 	no_data++;  
	LDS  R30,_no_data_S18
	SUBI R30,-LOW(1)
	STS  _no_data_S18,R30
;    1605                 	  		    	  	    	     	 		  	 
;    1606   	  		state1=0;
_0x368:
	CLR  R30
	STS  _state1_S18,R30
;    1607   	  		counter++;
	__GETW1R 10,11
	ADIW R30,1
	__PUTW1R 10,11
;    1608   	  		TriggerADC(0); 				
	CLR  R30
	ST   -Y,R30
	CALL _TriggerADC
;    1609   	  		break;		 	
;    1610   	 	} 
;    1611   	 	default: break; // other states not foreseen     	 		  
_0x369:
;    1612   	 } // end of state machine     
_0x361:
;    1613        
;    1614 	//reset the watchdog timer/ if not, the ATmega16 is being reseted
;    1615  	if (reset_flag)
	SBRS R3,3
	RJMP _0x36A
;    1616   		#asm("wdr")	
	wdr
;    1617 }
_0x36A:
	CALL __LOADLOCR4
	ADIW R28,4
	CALL __LOADISR
	RETI
;    1618 //------------------------------------------------------------------------------------
;    1619 void Init_Watchdog(void)
;    1620 { 
_Init_Watchdog:
;    1621      WDTCR=0x07;          // init Watchdog Timer prescaling (wait 256ms)
	LDI  R30,LOW(7)
	OUT  0x21,R30
;    1622 }
	RET
;    1623 //------------------------------------------------------------------------------------
;    1624  
;    1625  
;    1626  
;    1627  
;    1628  
;    1629  
;    1630  
;    1631  
;    1632  
;    1633  
;    1634  
;    1635  
;    1636 /*-----------------------------------------------------------------------*/
;    1637 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;    1638 /*-----------------------------------------------------------------------*/
;    1639 /*  Programmname: spieeprom.c                                            */
;    1640 /*                                                                       */
;    1641 /*  Revision: V1.0     Date: 27.01.2003    Autor: Hansueli Meyer         */
;    1642 /*                                                                       */
;    1643 /*  Purpose: external EEPROM read and write functions via SPI Bus        */
;    1644 /*                                                                       */
;    1645 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;    1646 /*-----------------------------------------------------------------------*/
;    1647 
;    1648 // Created by: Hansueli Meyer 27.01.2003  
;    1649 // Updated by: Hansueli Meyer 04.02.2003  reading and writing 8byte
;    1650 // Updated by: Hansueli Meyer 30.03.2003  Timer and EEPROM in the same program
;    1651 // Updated by: Hansueli Meyer 02.04.2003  new function EEPROM reading sequential 
;    1652 // Updated by: Hansueli Meyer 15.04.2003  modus 0-255 stored in the EEPROM  
;    1653 // Updated by: Hansueli Meyer 14.10.2003  acknowledge for software handshaking 
;    1654 //-------------------------------------------------------------------------------------      
;    1655 
;    1656 //include files
;    1657 #include <delay.h>       
;    1658 #include <spi.h>     
;    1659 #include <stdio.h>
;    1660 #include <mega16.h>
;    1661 #include <stdlib.h>
;    1662  
;    1663 #include "callisto.h"   
;    1664 #include "rs232.h"  
;    1665 #include "command.h"
;    1666 #include "digital_io.h" 
;    1667 #include "tuner.h"     
;    1668 #include "adc.h"
;    1669 #include "timer.h" 
;    1670 #include "inteeprom.h"  
;    1671 #include "spieeprom.h"   
;    1672 
;    1673 extern Word sweeplength;  // import from callisto.c
;    1674 extern Word number_count; // import from callisto.c
;    1675 
;    1676 //------------------------------------------------------------------------------------
;    1677 
;    1678 void eeprom_read_float(Word address,Byte *db1,Byte *db2,Byte *cb,Byte *bb) //Read 8 byte from external EEPROM
;    1679 {
_eeprom_read_float:
;    1680 	chip_select=0;          // chip select low activate EEPROM
	CBI  0x18,4
;    1681 	spi(0x03);			// Command read EEPROM
	LDI  R30,LOW(3)
	ST   -Y,R30
	CALL _spi
;    1682 	spi(address / 256);	// Address high byte
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	MOV  R30,R31
	CLR  R31
	ST   -Y,R30
	CALL _spi
;    1683 	spi(address % 256);	// Address low byte
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	ANDI R31,HIGH(0xFF)
	ST   -Y,R30
	CALL _spi
;    1684 	
;    1685 	*db1=spi(0); 
	CLR  R30
	ST   -Y,R30
	CALL _spi
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	ST   X,R30
;    1686 	*db2=spi(0);
	CLR  R30
	ST   -Y,R30
	CALL _spi
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	ST   X,R30
;    1687 	*cb=spi(0);
	CLR  R30
	ST   -Y,R30
	CALL _spi
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	ST   X,R30
;    1688 	*bb=spi(0);
	CLR  R30
	ST   -Y,R30
	CALL _spi
	LD   R26,Y
	LDD  R27,Y+1
	ST   X,R30
;    1689    		  	
;    1690 	chip_select=1;          // chip select high stop reading mode    
	SBI  0x18,4
;    1691 }    
	ADIW R28,10
	RET
;    1692 
;    1693 //-------------------------------------------------------------------------------------
;    1694 void eeprom_write_string(Word address, Byte db1,Byte db2, Byte cb,Byte bb) // Write 8 byte to external EEPROM
;    1695 {								   	  
_eeprom_write_string:
;    1696 	chip_select=0; // chip select low
	CBI  0x18,4
;    1697 	spi(0x06);     // write enable byte
	LDI  R30,LOW(6)
	ST   -Y,R30
	CALL _spi
;    1698 	chip_select=1; // chip select high
	SBI  0x18,4
;    1699 	chip_select=0; // chip select low
	CBI  0x18,4
;    1700         spi(0x02);     // command write EEPROM   
	LDI  R30,LOW(2)
	ST   -Y,R30
	CALL _spi
;    1701 	spi(address / 256); // Address high byte
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	MOV  R30,R31
	CLR  R31
	ST   -Y,R30
	CALL _spi
;    1702 	spi(address % 256); // Address low byte
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	ANDI R31,HIGH(0xFF)
	ST   -Y,R30
	CALL _spi
;    1703 	spi(db1);
	LDD  R30,Y+3
	ST   -Y,R30
	CALL _spi
;    1704 	spi(db2);
	LDD  R30,Y+2
	ST   -Y,R30
	CALL _spi
;    1705 	spi(cb);
	LDD  R30,Y+1
	ST   -Y,R30
	CALL _spi
;    1706 	spi(bb);
	LD   R30,Y
	ST   -Y,R30
	CALL _spi
;    1707 	spi(0x00);
	CLR  R30
	ST   -Y,R30
	CALL _spi
;    1708 	spi(0x00);
	CLR  R30
	ST   -Y,R30
	CALL _spi
;    1709 	spi(0x00);
	CLR  R30
	ST   -Y,R30
	CALL _spi
;    1710 	spi(0x00);	
	CLR  R30
	ST   -Y,R30
	CALL _spi
;    1711 	
;    1712 	chip_select=1; // chip select high stop writing mode
	SBI  0x18,4
;    1713 	delay_ms(6); // 6ms delay to finishing the write cycle
	LDI  R30,LOW(6)
	LDI  R31,HIGH(6)
	ST   -Y,R31
	ST   -Y,R30
	CALL _delay_ms
;    1714 	printf("]"); // acknowledge for software handshaking between mainboard and host	
	__POINTW1FN _927,0
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _printf
	ADIW R28,2
;    1715 }
	ADIW R28,6
	RET
;    1716 //-------------------------------------------------------------------------------------            
;    1717 
;    1718 
;    1719 
;    1720 
;    1721 
;    1722 
;    1723 
;    1724 /*-----------------------------------------------------------------------*/
;    1725 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;    1726 /*-----------------------------------------------------------------------*/
;    1727 /*  Programmname: inteeprom.c                                            */
;    1728 /*                                                                       */
;    1729 /*  Revision: V1.0     Date: 22.04.2003    Autor: Hansueli Meyer         */
;    1730 /*                                                                       */
;    1731 /*  Purpose: internal EEPROM read and write cycle			       */
;    1732 /*                                                                       */
;    1733 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;    1734 /*-----------------------------------------------------------------------*/
;    1735 
;    1736 // Created by: Hansueli Meyer 22.04.2003  
;    1737 // Updated by: 
;    1738 //-------------------------------------------------------------------------------------      
;    1739 
;    1740 //include files
;    1741 #include <delay.h>       
;    1742 #include <spi.h>     
;    1743 #include <stdio.h>
;    1744 #include <mega16.h>
;    1745 #include <stdlib.h> 
;    1746 #include <math.h> 
;    1747  
;    1748 #include "callisto.h"   
;    1749 #include "rs232.h"  
;    1750 #include "command.h"
;    1751 #include "digital_io.h" 
;    1752 #include "tuner.h"     
;    1753 #include "adc.h"
;    1754 #include "timer.h" 
;    1755 #include "inteeprom.h"  
;    1756 #include "spieeprom.h"
;    1757 
;    1758 //-------------------------------------------------------------------------------------      
;    1759 void EEPROM_write(Word uiAddress, char *datastring) // write 5 byte to the internal EEPROM
;    1760 {
_EEPROM_write:
;    1761 	Byte i;    
;    1762 	for (i = 0; i <= 4; i++)
	SBIW R28,1
;	uiAddress -> Y+3
;	*datastring -> Y+1
;	i -> Y+0
	CLR  R30
	ST   Y,R30
_0x3FB:
	LD   R26,Y
	LDI  R30,LOW(4)
	CP   R30,R26
	BRLO _0x3FC
;    1763 	{ 
;    1764 		
;    1765 		while(EECR & (1<<EEWE)) // Wait for completion of previous write
_0x3FD:
	SBIC 0x1C,1
;    1766 			;
	RJMP _0x3FD
;    1767 		EEAR = uiAddress+i;     // Set up address and data registers
	LD   R30,Y
	LDD  R26,Y+3
	LDD  R27,Y+3+1
	CLR  R31
	ADD  R30,R26
	ADC  R31,R27
	OUT  0x1E+1,R31
	OUT  0x1E,R30
;    1768 		EEDR = datastring[i];
	LD   R30,Y
	LDD  R26,Y+1
	LDD  R27,Y+1+1
	CLR  R31
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	OUT  0x1D,R30
;    1769 		EECR |= (1<<EEMWE);    	// Write logical one to EEMWE
	SBI  0x1C,2
;    1770 		EECR |= (1<<EEWE);      // Start eeprom write by setting EEWE 
	SBI  0x1C,1
;    1771 	}            
	LD   R30,Y
	SUBI R30,-LOW(1)
	ST   Y,R30
	RJMP _0x3FB
_0x3FC:
;    1772 }
	ADIW R28,5
	RET
;    1773 //------------------------------------------------------------------------------------- 
;    1774 float EEPROM_read(Word uiAddress)   // read 5 byte from the internal EEPROM
;    1775 {
_EEPROM_read:
;    1776 	Byte x;
;    1777 	char datastring[6];
;    1778 	for(x = 0; x <= 4; x++)     
	SBIW R28,6
	ST   -Y,R16
;	uiAddress -> Y+7
;	x -> R16
;	datastring -> Y+1
	LDI  R16,LOW(0)
_0x402:
	LDI  R30,LOW(4)
	CP   R30,R16
	BRLO _0x403
;    1779 		{
;    1780 
;    1781 			while(EECR & (1<<EEWE)) // Wait for completion of previous write
_0x404:
	SBIC 0x1C,1
;    1782 				;
	RJMP _0x404
;    1783 			EEAR = uiAddress+x; // Set up address register 
	MOV  R30,R16
	LDD  R26,Y+7
	LDD  R27,Y+7+1
	CLR  R31
	ADD  R30,R26
	ADC  R31,R27
	OUT  0x1E+1,R31
	OUT  0x1E,R30
;    1784 			EECR |= (1<<EERE);  // Start eeprom read by writing EERE 
	SBI  0x1C,0
;    1785 			datastring[x] = EEDR; // Return data from data register 			 
	MOV  R30,R16
	CLR  R31
	MOVW R26,R28
	ADIW R26,1
	ADD  R26,R30
	ADC  R27,R31
	IN   R30,0x1D
	ST   X,R30
;    1786 		}                         	
	SUBI R16,-1
	RJMP _0x402
_0x403:
;    1787 	datastring[5]='\0';            
	CLR  R30
	STD  Y+6,R30
;    1788 	return atof(datastring);       
	MOVW R30,R28
	ADIW R30,1
	ST   -Y,R31
	ST   -Y,R30
	CALL _atof
	LDD  R16,Y+0
	ADIW R28,9
	RET
;    1789 }
;    1790 //------------------------------------------------------------------------------------- 
;    1791 
;    1792 
;    1793 
;    1794 
;    1795                                     
;    1796 /*-----------------------------------------------------------------------*/
;    1797 /*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
;    1798 /*-----------------------------------------------------------------------*/
;    1799 /*  Programmname: setfopa.c                                              */
;    1800 /*                                                                       */
;    1801 /*  Revision: V1.4     Date: 04.06.2003    Autor: Hansueli Meyer         */
;    1802 /*                                                                       */
;    1803 /*  Purpose: setting the FPU parallel output port using Focuscode        */
;    1804 /*                                                                       */
;    1805 /*  Compiler: CodeVisionAVR VERSION 1.23                                 */
;    1806 /*-----------------------------------------------------------------------*/
;    1807 
;    1808 // Created by: Hansueli Meyer 04.06.2003 set FPU function implemented
;    1809 // Updated by: Hansueli Meyer 05.08.2003 prepare function left and right measurement
;    1810 // Updated by: Hansueli Meyer 20.09.2003 prepare function removed
;    1811 
;    1812 //-------------------------------------------------------------------------------------
;    1813 // Include files
;    1814 #include <stdio.h>   
;    1815 #include <string.h> 
;    1816 #include <stdlib.h>
;    1817 #include <delay.h>
;    1818 #include <spi.h>
;    1819 #include <mega16.h>   
;    1820 
;    1821 #include "callisto.h"   
;    1822 #include "rs232.h"  
;    1823 #include "command.h"
;    1824 #include "digital_io.h" 
;    1825 #include "tuner.h"     
;    1826 #include "adc.h"
;    1827 #include "timer.h" 
;    1828 #include "inteeprom.h"  
;    1829 #include "spieeprom.h" 
;    1830 
;    1831 //-------------------------------------------------------------------------------------
;    1832 void SetFPU(Byte FOPAcode) // the right FOPA code is send to the focal plane unit
;    1833 {
_SetFPU:
;    1834    	PORTC=FOPAcode;
	LD   R30,Y
	OUT  0x15,R30
;    1835 }
	ADIW R28,1
	RET
;    1836 //-------------------------------------------------------------------------------------
;    1837 
;    1838 
;    1839 
;    1840 
;    1841 
;    1842 
;    1843 
;    1844 
;    1845 
;    1846 
;    1847 
;    1848 
;    1849 
;    1850 
;    1851 
;    1852 
;    1853 
;    1854 
;    1855 
;    1856 
;    1857 
;    1858 
;    1859 	           
__put_GB:
	put:
	LD   R26,Y
	LDD  R27,Y+1
	CALL __GETW1P
	SBIW R30,0
	BREQ _0x493
	CALL __GETW1P
	ADIW R30,1
	ST   X+,R30
	ST   X,R31
	SBIW R30,1
	MOVW R26,R30
	LDD  R30,Y+2
	ST   X,R30
	RJMP _0x494
_0x493:
	LDD  R30,Y+2
	ST   -Y,R30
	CALL _putchar
_0x494:
	ADIW R28,3
	RET
__print_GB:
	SBIW R28,6
	CALL __SAVELOCR6
	LDI  R16,0
_0x496:
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	ADIW R30,1
	STD  Y+16,R30
	STD  Y+16+1,R31
	SBIW R30,1
	LPM  R30,Z
	MOV  R19,R30
	CPI  R30,0
	BRNE PC+3
	JMP _0x498
	MOV  R30,R16
	CPI  R30,0
	BRNE _0x49C
	CPI  R19,37
	BRNE _0x49D
	LDI  R16,LOW(1)
	RJMP _0x49E
_0x49D:
	ST   -Y,R19
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	CALL __put_GB
_0x49E:
	RJMP _0x49B
_0x49C:
	CPI  R30,LOW(0x1)
	BRNE _0x49F
	CPI  R19,37
	BRNE _0x4A0
	ST   -Y,R19
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	CALL __put_GB
	LDI  R16,LOW(0)
	RJMP _0x49B
_0x4A0:
	LDI  R16,LOW(2)
	LDI  R21,LOW(0)
	LDI  R17,LOW(0)
	CPI  R19,45
	BRNE _0x4A1
	LDI  R17,LOW(1)
	RJMP _0x49B
_0x4A1:
	CPI  R19,43
	BRNE _0x4A2
	LDI  R21,LOW(43)
	RJMP _0x49B
_0x4A2:
	CPI  R19,32
	BRNE _0x4A3
	LDI  R21,LOW(32)
	RJMP _0x49B
_0x4A3:
	RJMP _0x4A4
_0x49F:
	CPI  R30,LOW(0x2)
	BRNE _0x4A5
_0x4A4:
	LDI  R20,LOW(0)
	LDI  R16,LOW(3)
	CPI  R19,48
	BRNE _0x4A6
	ORI  R17,LOW(128)
	RJMP _0x49B
_0x4A6:
	RJMP _0x4A7
_0x4A5:
	CPI  R30,LOW(0x3)
	BREQ PC+3
	JMP _0x49B
_0x4A7:
	CPI  R19,48
	BRLO _0x4AA
	CPI  R19,58
	BRLO _0x4AB
_0x4AA:
	RJMP _0x4A9
_0x4AB:
	MOV  R26,R20
	LDI  R30,LOW(10)
	MUL  R30,R26
	MOV  R30,R0
	MOV  R20,R30
	MOV  R30,R19
	SUBI R30,LOW(48)
	ADD  R20,R30
	RJMP _0x49B
_0x4A9:
	MOV  R30,R19
	CPI  R30,LOW(0x63)
	BRNE _0x4AF
	LDD  R26,Y+14
	LDD  R27,Y+14+1
	SBIW R26,4
	STD  Y+14,R26
	STD  Y+14+1,R27
	ADIW R26,4
	LD   R30,X
	ST   -Y,R30
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	CALL __put_GB
	RJMP _0x4B0
_0x4AF:
	CPI  R30,LOW(0x73)
	BRNE _0x4B2
	LDD  R26,Y+14
	LDD  R27,Y+14+1
	SBIW R26,4
	STD  Y+14,R26
	STD  Y+14+1,R27
	ADIW R26,4
	CALL __GETD1P
	STD  Y+6,R30
	STD  Y+6+1,R31
	ST   -Y,R31
	ST   -Y,R30
	CALL _strlen
	MOV  R16,R30
	RJMP _0x4B3
_0x4B2:
	CPI  R30,LOW(0x70)
	BRNE _0x4B5
	LDD  R26,Y+14
	LDD  R27,Y+14+1
	SBIW R26,4
	STD  Y+14,R26
	STD  Y+14+1,R27
	ADIW R26,4
	CALL __GETD1P
	STD  Y+6,R30
	STD  Y+6+1,R31
	ST   -Y,R31
	ST   -Y,R30
	CALL _strlenf
	MOV  R16,R30
	ORI  R17,LOW(8)
_0x4B3:
	ORI  R17,LOW(2)
	ANDI R17,LOW(127)
	LDI  R18,LOW(0)
	RJMP _0x4B6
_0x4B5:
	CPI  R30,LOW(0x64)
	BREQ _0x4B9
	CPI  R30,LOW(0x69)
	BRNE _0x4BA
_0x4B9:
	ORI  R17,LOW(4)
	RJMP _0x4BB
_0x4BA:
	CPI  R30,LOW(0x75)
	BRNE _0x4BC
_0x4BB:
	LDI  R30,LOW(_tbl10_GB*2)
	LDI  R31,HIGH(_tbl10_GB*2)
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R16,LOW(5)
	RJMP _0x4BD
_0x4BC:
	CPI  R30,LOW(0x58)
	BRNE _0x4BF
	ORI  R17,LOW(8)
	RJMP _0x4C0
_0x4BF:
	CPI  R30,LOW(0x78)
	BREQ PC+3
	JMP _0x4EE
_0x4C0:
	LDI  R30,LOW(_tbl16_GB*2)
	LDI  R31,HIGH(_tbl16_GB*2)
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R16,LOW(4)
_0x4BD:
	SBRS R17,2
	RJMP _0x4C2
	LDD  R26,Y+14
	LDD  R27,Y+14+1
	SBIW R26,4
	STD  Y+14,R26
	STD  Y+14+1,R27
	ADIW R26,4
	CALL __GETW1P
	STD  Y+10,R30
	STD  Y+10+1,R31
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	SBIW R26,0
	BRGE _0x4C3
	CALL __ANEGW1
	STD  Y+10,R30
	STD  Y+10+1,R31
	LDI  R21,LOW(45)
_0x4C3:
	CPI  R21,0
	BREQ _0x4C4
	SUBI R16,-LOW(1)
	RJMP _0x4C5
_0x4C4:
	ANDI R17,LOW(251)
_0x4C5:
	RJMP _0x4C6
_0x4C2:
	LDD  R26,Y+14
	LDD  R27,Y+14+1
	SBIW R26,4
	STD  Y+14,R26
	STD  Y+14+1,R27
	ADIW R26,4
	CALL __GETW1P
	STD  Y+10,R30
	STD  Y+10+1,R31
_0x4C6:
_0x4B6:
	SBRC R17,0
	RJMP _0x4C7
_0x4C8:
	CP   R16,R20
	BRSH _0x4CA
	SBRS R17,7
	RJMP _0x4CB
	SBRS R17,2
	RJMP _0x4CC
	ANDI R17,LOW(251)
	MOV  R19,R21
	SUBI R16,LOW(1)
	RJMP _0x4CD
_0x4CC:
	LDI  R19,LOW(48)
_0x4CD:
	RJMP _0x4CE
_0x4CB:
	LDI  R19,LOW(32)
_0x4CE:
	ST   -Y,R19
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	CALL __put_GB
	SUBI R20,LOW(1)
	RJMP _0x4C8
_0x4CA:
_0x4C7:
	MOV  R18,R16
	SBRS R17,1
	RJMP _0x4CF
_0x4D0:
	CPI  R18,0
	BREQ _0x4D2
	SBRS R17,3
	RJMP _0x4D3
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ADIW R30,1
	STD  Y+6,R30
	STD  Y+6+1,R31
	SBIW R30,1
	LPM  R30,Z
	RJMP _0x56E
_0x4D3:
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	LD   R30,X+
	STD  Y+6,R26
	STD  Y+6+1,R27
_0x56E:
	ST   -Y,R30
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	CALL __put_GB
	CPI  R20,0
	BREQ _0x4D5
	SUBI R20,LOW(1)
_0x4D5:
	SUBI R18,LOW(1)
	RJMP _0x4D0
_0x4D2:
	RJMP _0x4D6
_0x4CF:
_0x4D8:
	LDI  R19,LOW(48)
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ADIW R30,2
	STD  Y+6,R30
	STD  Y+6+1,R31
	SBIW R30,2
	CALL __GETW1PF
	STD  Y+8,R30
	STD  Y+8+1,R31
                                      ldd  r26,y+10  ;R26,R27=n
                                      ldd  r27,y+11
                                  calc_digit:
                                      cp   r26,r30
                                      cpc  r27,r31
                                      brlo calc_digit_done
	SUBI R19,-LOW(1)
	                                  sub  r26,r30
	                                  sbc  r27,r31
	                                  brne calc_digit
                                  calc_digit_done:
                                      std  Y+10,r26 ;n=R26,R27
                                      std  y+11,r27
	LDI  R30,LOW(57)
	CP   R30,R19
	BRSH _0x4DA
	SBRS R17,3
	RJMP _0x4DB
	SUBI R19,-LOW(7)
	RJMP _0x4DC
_0x4DB:
	SUBI R19,-LOW(39)
_0x4DC:
_0x4DA:
	SBRC R17,4
	RJMP _0x4DE
	LDI  R30,LOW(48)
	CP   R30,R19
	BRLO _0x4E0
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	CPI  R26,LOW(0x1)
	LDI  R30,HIGH(0x1)
	CPC  R27,R30
	BRNE _0x4DF
_0x4E0:
	ORI  R17,LOW(16)
	RJMP _0x4E2
_0x4DF:
	CP   R20,R18
	BRLO _0x4E4
	SBRS R17,0
	RJMP _0x4E5
_0x4E4:
	RJMP _0x4E3
_0x4E5:
	LDI  R19,LOW(32)
	SBRS R17,7
	RJMP _0x4E6
	LDI  R19,LOW(48)
	ORI  R17,LOW(16)
_0x4E2:
	SBRS R17,2
	RJMP _0x4E7
	ANDI R17,LOW(251)
	ST   -Y,R21
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	CALL __put_GB
	CPI  R20,0
	BREQ _0x4E8
	SUBI R20,LOW(1)
_0x4E8:
_0x4E7:
_0x4E6:
_0x4DE:
	ST   -Y,R19
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	CALL __put_GB
	CPI  R20,0
	BREQ _0x4E9
	SUBI R20,LOW(1)
_0x4E9:
_0x4E3:
	SUBI R18,LOW(1)
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	CP   R30,R26
	CPC  R31,R27
	BRSH _0x4D9
	RJMP _0x4D8
_0x4D9:
_0x4D6:
	SBRS R17,0
	RJMP _0x4EA
_0x4EB:
	CPI  R20,0
	BREQ _0x4ED
	SUBI R20,LOW(1)
	LDI  R30,LOW(32)
	ST   -Y,R30
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	CALL __put_GB
	RJMP _0x4EB
_0x4ED:
_0x4EA:
_0x4EE:
_0x4B0:
	LDI  R16,LOW(0)
_0x49B:
	RJMP _0x496
_0x498:
	CALL __LOADLOCR6
	RJMP _0x566
_sprintf:
	MOV  R15,R24
	SBIW R28,4
	MOVW R26,R28
	CALL __ADDW2R15
	STD  Y+2,R26
	STD  Y+2+1,R27
	MOVW R26,R28
	ADIW R26,6
	CALL __ADDW2R15
	CALL __GETW1P
	ST   Y,R30
	STD  Y+1,R31
	MOVW R26,R28
	ADIW R26,4
	CALL __ADDW2R15
	CALL __GETW1P
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	CALL __print_GB
	LD   R26,Y
	LDD  R27,Y+1
	CLR  R30
	ST   X,R30
	RJMP _0x567
_printf:
	MOV  R15,R24
	SBIW R28,4
	MOVW R26,R28
	CALL __ADDW2R15
	STD  Y+2,R26
	STD  Y+2+1,R27
	CLR  R30
	STD  Y+0,R30
	STD  Y+0+1,R30
	MOVW R26,R28
	ADIW R26,4
	CALL __ADDW2R15
	CALL __GETW1P
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	CALL __print_GB
	RJMP _0x567
__get_GB:
	SBIW R28,1
	LDD  R26,Y+3
	LDD  R27,Y+3+1
	LD   R30,X
	ST   Y,R30
	CPI  R30,0
	BREQ _0x4F2
	CLR  R30
	ST   X,R30
	RJMP _0x4F3
_0x4F2:
	LDD  R26,Y+1
	LDD  R27,Y+1+1
	CALL __GETW1P
	SBIW R30,0
	BREQ _0x4F4
	CALL __GETW1P
	LD   R30,Z
	ST   Y,R30
	CPI  R30,0
	BREQ _0x4F5
	CALL __GETW1P
	ADIW R30,1
	ST   X+,R30
	ST   X,R31
_0x4F5:
	RJMP _0x4F6
_0x4F4:
	CALL _getchar
	ST   Y,R30
_0x4F6:
_0x4F3:
	LD   R30,Y
	ADIW R28,5
	RET
__scanf_GB:
	SBIW R28,10
	CLR  R30
	STD  Y+3,R30
	STD  Y+4,R30
_0x4F8:
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	ADIW R30,1
	STD  Y+14,R30
	STD  Y+14+1,R31
	SBIW R30,1
	LPM  R30,Z
	STD  Y+7,R30
	CPI  R30,0
	BRNE PC+3
	JMP _0x4FA
	ST   -Y,R30
	CALL _isspace
	CPI  R30,0
	BREQ _0x4FB
_0x4FC:
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL __get_GB
	STD  Y+7,R30
	CPI  R30,0
	BREQ _0x4FF
	ST   -Y,R30
	CALL _isspace
	CPI  R30,0
	BRNE _0x500
_0x4FF:
	RJMP _0x4FE
_0x500:
	RJMP _0x4FC
_0x4FE:
	LDD  R30,Y+7
	STD  Y+4,R30
	RJMP _0x501
_0x4FB:
	LDD  R26,Y+7
	CPI  R26,LOW(0x25)
	BREQ PC+3
	JMP _0x502
	CLR  R30
	STD  Y+5,R30
_0x503:
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	ADIW R30,1
	STD  Y+14,R30
	STD  Y+14+1,R31
	SBIW R30,1
	LPM  R30,Z
	STD  Y+7,R30
	LDD  R26,Y+7
	CPI  R26,LOW(0x30)
	BRLO _0x507
	LDI  R30,LOW(57)
	CP   R30,R26
	BRSH _0x506
_0x507:
	RJMP _0x505
_0x506:
	LDD  R26,Y+5
	LDI  R30,LOW(10)
	MUL  R30,R26
	MOV  R30,R0
	STD  Y+5,R30
	LDD  R30,Y+7
	SUBI R30,LOW(48)
	LDD  R26,Y+5
	ADD  R30,R26
	STD  Y+5,R30
	RJMP _0x503
_0x505:
	LDD  R30,Y+7
	CPI  R30,0
	BRNE _0x509
	RJMP _0x4FA
_0x509:
_0x50A:
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL __get_GB
	STD  Y+6,R30
	ST   -Y,R30
	CALL _isspace
	CPI  R30,0
	BRNE _0x50A
	LDD  R30,Y+6
	CPI  R30,0
	BRNE _0x50D
	RJMP _0x50E
_0x50D:
	LDD  R30,Y+6
	STD  Y+4,R30
	LDD  R30,Y+5
	CPI  R30,0
	BRNE _0x50F
	LDI  R30,LOW(255)
	STD  Y+5,R30
_0x50F:
	LDD  R30,Y+7
	CPI  R30,LOW(0x63)
	BRNE _0x513
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	SBIW R26,4
	STD  Y+12,R26
	STD  Y+12+1,R27
	ADIW R26,4
	CALL __GETD1P
	STD  Y+8,R30
	STD  Y+8+1,R31
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL __get_GB
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	ST   X,R30
	RJMP _0x512
_0x513:
	CPI  R30,LOW(0x73)
	BRNE _0x51B
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	SBIW R26,4
	STD  Y+12,R26
	STD  Y+12+1,R27
	ADIW R26,4
	CALL __GETD1P
	STD  Y+8,R30
	STD  Y+8+1,R31
_0x515:
	LDD  R30,Y+5
	SUBI R30,LOW(1)
	STD  Y+5,R30
	SUBI R30,-LOW(1)
	BREQ _0x517
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL __get_GB
	STD  Y+7,R30
	CPI  R30,0
	BREQ _0x519
	ST   -Y,R30
	CALL _isspace
	CPI  R30,0
	BREQ _0x518
_0x519:
	RJMP _0x517
_0x518:
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	ADIW R26,1
	STD  Y+8,R26
	STD  Y+8+1,R27
	SBIW R26,1
	LDD  R30,Y+7
	ST   X,R30
	RJMP _0x515
_0x517:
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	CLR  R30
	ST   X,R30
	RJMP _0x512
_0x51B:
	LDI  R30,LOW(1)
	STD  Y+2,R30
	LDD  R30,Y+7
	CPI  R30,LOW(0x64)
	BREQ _0x520
	CPI  R30,LOW(0x69)
	BRNE _0x521
_0x520:
	CLR  R30
	STD  Y+2,R30
	RJMP _0x522
_0x521:
	CPI  R30,LOW(0x75)
	BRNE _0x523
_0x522:
	LDI  R30,LOW(10)
	STD  Y+6,R30
	RJMP _0x51E
_0x523:
	CPI  R30,LOW(0x78)
	BRNE _0x524
	LDI  R30,LOW(16)
	STD  Y+6,R30
	RJMP _0x51E
_0x524:
	CPI  R30,LOW(0x25)
	BRNE _0x527
	RJMP _0x526
_0x527:
	LDD  R30,Y+3
	RJMP _0x568
_0x51E:
	CLR  R30
	STD  Y+0,R30
	STD  Y+0+1,R30
_0x528:
	LDD  R30,Y+5
	SUBI R30,LOW(1)
	STD  Y+5,R30
	SUBI R30,-LOW(1)
	BRNE PC+3
	JMP _0x52A
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL __get_GB
	STD  Y+7,R30
	MOV  R26,R30
	LDI  R30,LOW(32)
	CP   R30,R26
	BRSH _0x52C
	LDD  R30,Y+2
	CPI  R30,0
	BRNE _0x52D
	LDD  R26,Y+7
	CPI  R26,LOW(0x2D)
	BRNE _0x52E
	LDI  R30,LOW(255)
	STD  Y+2,R30
	RJMP _0x528
_0x52E:
	LDI  R30,LOW(1)
	STD  Y+2,R30
_0x52D:
	LDD  R26,Y+7
	CPI  R26,LOW(0x30)
	BRLO _0x52C
	CPI  R26,LOW(0x61)
	BRLO _0x531
	LDD  R30,Y+7
	SUBI R30,LOW(87)
	STD  Y+7,R30
	RJMP _0x532
_0x531:
	LDD  R26,Y+7
	CPI  R26,LOW(0x41)
	BRLO _0x533
	LDD  R30,Y+7
	SUBI R30,LOW(55)
	RJMP _0x56F
_0x533:
	LDD  R30,Y+7
	SUBI R30,LOW(48)
_0x56F:
	STD  Y+7,R30
_0x532:
	LDD  R30,Y+6
	LDD  R26,Y+7
	CP   R26,R30
	BRLO _0x535
_0x52C:
	LDD  R30,Y+7
	STD  Y+4,R30
	RJMP _0x52A
_0x535:
	LDD  R30,Y+6
	LD   R26,Y
	LDD  R27,Y+1
	CLR  R31
	CALL __MULW12U
	MOVW R26,R30
	LDD  R30,Y+7
	CLR  R31
	ADD  R30,R26
	ADC  R31,R27
	ST   Y,R30
	STD  Y+1,R31
	RJMP _0x528
_0x52A:
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	SBIW R26,4
	STD  Y+12,R26
	STD  Y+12+1,R27
	ADIW R26,4
	CALL __GETD1P
	STD  Y+8,R30
	STD  Y+8+1,R31
	LDD  R30,Y+2
	LD   R26,Y
	LDD  R27,Y+1
	CLR  R31
	SBRC R30,7
	SER  R31
	CALL __MULW12U
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	ST   X+,R30
	ST   X,R31
_0x512:
	LDD  R30,Y+3
	SUBI R30,-LOW(1)
	STD  Y+3,R30
	RJMP _0x536
_0x502:
_0x526:
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL __get_GB
	LDD  R26,Y+7
	CP   R30,R26
	BREQ _0x537
_0x50E:
	LDD  R30,Y+3
	CPI  R30,0
	BRNE _0x538
	LDI  R30,LOW(255)
	RJMP _0x568
_0x538:
	RJMP _0x4FA
_0x537:
_0x536:
_0x501:
	RJMP _0x4F8
_0x4FA:
	LDD  R30,Y+3
_0x568:
	ADIW R28,16
	RET
_sscanf:
	MOV  R15,R24
	SBIW R28,4
	MOVW R26,R28
	CALL __ADDW2R15
	STD  Y+2,R26
	STD  Y+2+1,R27
	MOVW R26,R28
	ADIW R26,6
	CALL __ADDW2R15
	CALL __GETW1P
	ST   Y,R30
	STD  Y+1,R31
	MOVW R26,R28
	ADIW R26,4
	CALL __ADDW2R15
	CALL __GETW1P
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,4
	ST   -Y,R31
	ST   -Y,R30
	RCALL __scanf_GB
_0x567:
	ADIW R28,4
	RET
_atof:
	SBIW R28,16
	__CLRD1S 4
	CLR  R30
	STD  Y+1,R30
	STD  Y+2,R30
	STD  Y+3,R30
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	LD   R26,X
	CPI  R26,LOW(0x2D)
	BRNE _0x549
	LDI  R30,LOW(1)
	STD  Y+1,R30
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	ADIW R30,1
	STD  Y+16,R30
	STD  Y+16+1,R31
_0x549:
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	STD  Y+14,R30
	STD  Y+14+1,R31
_0x54A:
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	LD   R30,X
	ST   -Y,R30
	CALL _isdigit
	CPI  R30,0
	BRNE _0x54D
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	LD   R26,X
	LDI  R30,LOW(46)
	CALL __EQB12
	STD  Y+3,R30
	CPI  R30,0
	BREQ _0x54C
_0x54D:
	LDD  R30,Y+3
	LDD  R26,Y+2
	OR   R30,R26
	STD  Y+2,R30
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	ADIW R30,1
	STD  Y+16,R30
	STD  Y+16+1,R31
	RJMP _0x54A
_0x54C:
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	STD  Y+12,R30
	STD  Y+12+1,R31
	LDD  R30,Y+2
	CPI  R30,0
	BREQ _0x54F
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	SBIW R30,1
	STD  Y+16,R30
	STD  Y+16+1,R31
_0x550:
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	LD   R26,X
	CPI  R26,LOW(0x2E)
	BREQ _0x552
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	LD   R30,X
	SUBI R30,LOW(48)
	__GETD2S 4
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __CDF1
	CALL __ADDF12
	MOVW R26,R30
	MOVW R24,R22
	__GETD1N 0x41200000
	CALL __DIVF21
	__PUTD1S 4
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	SBIW R30,1
	STD  Y+16,R30
	STD  Y+16+1,R31
	RJMP _0x550
_0x552:
_0x54F:
	__GETD1N 0x3F800000
	__PUTD1S 8
_0x553:
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	SBIW R26,1
	STD  Y+16,R26
	STD  Y+16+1,R27
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	CP   R26,R30
	CPC  R27,R31
	BRLO _0x555
	LD   R30,X
	SUBI R30,LOW(48)
	__GETD2S 8
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __CDF1
	CALL __MULF12
	__GETD2S 4
	CALL __ADDF12
	__PUTD1S 4
	__GETD2S 8
	__GETD1N 0x41200000
	CALL __MULF12
	__PUTD1S 8
	RJMP _0x553
_0x555:
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	LD   R30,X+
	STD  Y+12,R26
	STD  Y+12+1,R27
	STD  Y+3,R30
	LDD  R26,Y+3
	CPI  R26,LOW(0x65)
	BREQ _0x557
	CPI  R26,LOW(0x45)
	BREQ _0x557
	RJMP _0x556
_0x557:
	CLR  R30
	STD  Y+2,R30
	ST   Y,R30
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	LD   R26,X
	CPI  R26,LOW(0x2D)
	BRNE _0x559
	LDI  R30,LOW(1)
	ST   Y,R30
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ADIW R30,1
	STD  Y+12,R30
	STD  Y+12+1,R31
_0x559:
_0x55A:
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	LD   R30,X+
	STD  Y+12,R26
	STD  Y+12+1,R27
	STD  Y+3,R30
	ST   -Y,R30
	CALL _isdigit
	CPI  R30,0
	BREQ _0x55C
	LDD  R26,Y+2
	LDI  R30,LOW(10)
	MUL  R30,R26
	MOV  R30,R0
	LDD  R26,Y+3
	ADD  R26,R30
	SUBI R26,LOW(48)
	STD  Y+2,R26
	RJMP _0x55A
_0x55C:
	LDD  R26,Y+2
	LDI  R30,LOW(38)
	CP   R30,R26
	BRSH _0x55D
	LDD  R30,Y+1
	CPI  R30,0
	BREQ _0x55E
	__GETD1N 0xFF7FFFFF
	RJMP _0x566
_0x55E:
	__GETD1N 0x7F7FFFFF
	RJMP _0x566
_0x55D:
	LDI  R30,LOW(32)
	STD  Y+3,R30
	__GETD1N 0x3F800000
	__PUTD1S 8
_0x55F:
	LDD  R30,Y+3
	CPI  R30,0
	BREQ _0x561
	__GETD1S 8
	__GETD2S 8
	CALL __MULF12
	__PUTD1S 8
	LDD  R30,Y+2
	LDD  R26,Y+3
	AND  R30,R26
	BREQ _0x562
	__GETD2S 8
	__GETD1N 0x41200000
	CALL __MULF12
	__PUTD1S 8
_0x562:
	LDD  R30,Y+3
	LSR  R30
	STD  Y+3,R30
	RJMP _0x55F
_0x561:
	LD   R30,Y
	CPI  R30,0
	BREQ _0x563
	__GETD1S 8
	__GETD2S 4
	CALL __DIVF21
	RJMP _0x570
_0x563:
	__GETD1S 8
	__GETD2S 4
	CALL __MULF12
_0x570:
	__PUTD1S 4
_0x556:
	LDD  R30,Y+1
	CPI  R30,0
	BREQ _0x565
	__GETD1S 4
	CALL __ANEGF1
	__PUTD1S 4
_0x565:
	__GETD1S 4
_0x566:
	ADIW R28,18
	RET

_atoi:
	ldd  r27,y+1
	ld   r26,y
__atoi0:
	ld   r30,x
	st   -y,r30
	rcall _isspace
	tst  r30
	breq __atoi1
	adiw r26,1
	rjmp __atoi0
__atoi1:
	clt
	ld   r30,x
	cpi  r30,'-'
	brne __atoi2
	set
	rjmp __atoi3
__atoi2:
	cpi  r30,'+'
	brne __atoi4
__atoi3:
	adiw r26,1
__atoi4:
	clr  r22
	clr  r23
__atoi5:
	ld   r30,x
	st   -y,r30
	rcall _isdigit
	tst  r30
	breq __atoi6
	mov  r30,r22
	mov  r31,r23
	lsl  r22
	rol  r23
	lsl  r22
	rol  r23
	add  r22,r30
	adc  r23,r31
	lsl  r22
	rol  r23
	ld   r30,x+
	clr  r31
	subi r30,'0'
	add  r22,r30
	adc  r23,r31
	rjmp __atoi5
__atoi6:
	mov  r30,r22
	mov  r31,r23
	brtc __atoi7
	com  r30
	com  r31
	adiw r30,1
__atoi7:
	adiw r28,2
	ret

_isdigit:
	ldi  r30,1
	ld   r31,y+
	cpi  r31,'0'
	brlo __isdigit0
	cpi  r31,'9'+1
	brlo __isdigit1
__isdigit0:
	clr  r30
__isdigit1:
	ret

_isspace:
	ldi  r30,1
	ld   r31,y+
	cpi  r31,' '
	breq __isspace1
	cpi  r31,9
	breq __isspace1
	cpi  r31,13
	breq __isspace1
	clr  r30
__isspace1:
	ret

_strlen:
	ld   r26,y+
	ld   r27,y+
	clr  r30
	clr  r31
__strlen0:
	ld   r22,x+
	tst  r22
	breq __strlen1
	adiw r30,1
	rjmp __strlen0
__strlen1:
	ret

_strlenf:
	clr  r26
	clr  r27
	ld   r30,y+
	ld   r31,y+
__strlenf0:
	lpm  r0,z+
	tst  r0
	breq __strlenf1
	adiw r26,1
	rjmp __strlenf0
__strlenf1:
	movw r30,r26
	ret

_delay_ms:
	ld   r30,y+
	ld   r31,y+
	adiw r30,0
	breq __delay_ms1
__delay_ms0:
	__DELAY_USW 0xACD
	wdr
	sbiw r30,1
	brne __delay_ms0
__delay_ms1:
	ret

_spi:
	ld   r30,y+
	out  spdr,r30
__spi0:
	sbis spsr,7
	rjmp __spi0
	in   r30,spdr
	ret

__SAVEISR:
	ST   -Y,R0
	ST   -Y,R1
	ST   -Y,R15
	ST   -Y,R22
	ST   -Y,R23
	ST   -Y,R24
	ST   -Y,R25
	ST   -Y,R26
	ST   -Y,R27
	ST   -Y,R30
	ST   -Y,R31
	IN   R0,SREG
	ST   -Y,R0
	RET

__LOADISR:
	LD   R0,Y+
	OUT  SREG,R0
	LD   R31,Y+
	LD   R30,Y+
	LD   R27,Y+
	LD   R26,Y+
	LD   R25,Y+
	LD   R24,Y+
	LD   R23,Y+
	LD   R22,Y+
	LD   R15,Y+
	LD   R1,Y+
	LD   R0,Y+
	RET

__ADDW2R15:
	CLR  R0
	ADD  R26,R15
	ADC  R27,R0
	RET

__ANEGW1:
	COM  R30
	COM  R31
	ADIW R30,1
	RET

__ANEGD1:
	COM  R30
	COM  R31
	COM  R22
	COM  R23
	SUBI R30,-1
	SBCI R31,-1
	SBCI R22,-1
	SBCI R23,-1
	RET

__LSRW2:
	LSR  R31
	ROR  R30
	LSR  R31
	ROR  R30
	RET

__CBD1:
	CLR  R31
	CLR  R22
	CLR  R23
	SBRS R30,7
	RET
	SER  R31
	SER  R22
	SER  R23
	RET

__CWD1:
	CLR  R22
	CLR  R23
	SBRS R31,7
	RET
	SER  R22
	SER  R23
	RET

__EQB12:
	CP   R30,R26
	LDI  R30,1
	BREQ __EQB12T
	CLR  R30
__EQB12T:
	RET

__MULW12U:
	MUL  R31,R26
	MOV  R31,R0
	MUL  R30,R27
	ADD  R31,R0
	MUL  R30,R26
	MOV  R30,R0
	ADD  R31,R1
	RET

__DIVW21U:
	CLR  R0
	CLR  R1
	LDI  R25,16
__DIVW21U1:
	LSL  R26
	ROL  R27
	ROL  R0
	ROL  R1
	SUB  R0,R30
	SBC  R1,R31
	BRCC __DIVW21U2
	ADD  R0,R30
	ADC  R1,R31
	RJMP __DIVW21U3
__DIVW21U2:
	SBR  R26,1
__DIVW21U3:
	DEC  R25
	BRNE __DIVW21U1
	MOVW R30,R26
	MOVW R26,R0
	RET

__MODW21U:
	RCALL __DIVW21U
	MOVW R30,R26
	RET

__GETW1P:
	LD   R30,X+
	LD   R31,X
	SBIW R26,1
	RET

__GETD1P:
	LD   R30,X+
	LD   R31,X+
	LD   R22,X+
	LD   R23,X
	SBIW R26,3
	RET

__GETW1PF:
	LPM  R0,Z+
	LPM  R31,Z
	MOV  R30,R0
	RET

__PUTPARD1:
	ST   -Y,R23
	ST   -Y,R22
	ST   -Y,R31
	ST   -Y,R30
	RET

__SWAPD12:
	MOV  R1,R24
	MOV  R24,R22
	MOV  R22,R1
	MOV  R1,R25
	MOV  R25,R23
	MOV  R23,R1

__SWAPW12:
	MOV  R1,R27
	MOV  R27,R31
	MOV  R31,R1

__SWAPB12:
	MOV  R1,R26
	MOV  R26,R30
	MOV  R30,R1
	RET

__EEPROMRDD:
	ADIW R26,2
	RCALL __EEPROMRDW
	MOV  R23,R31
	MOV  R22,R30
	SBIW R26,2

__EEPROMRDW:
	ADIW R26,1
	RCALL __EEPROMRDB
	MOV  R31,R30
	SBIW R26,1

__EEPROMRDB:
	SBIC EECR,EEWE
	RJMP __EEPROMRDB
	IN   R0,SREG
	CLI
	OUT  EEARL,R26
	OUT  EEARH,R27
	SBI  EECR,EERE
	IN   R30,EEDR
	OUT  SREG,R0
	RET

__ANEGF1:
	SBIW R30,0
	SBCI R22,0
	SBCI R23,0
	BREQ __ANEGF10
	SUBI R23,0x80
__ANEGF10:
	RET

__REPACK:
	LDI  R21,0x80
	EOR  R21,R23
	BRNE __REPACK0
	PUSH R21
	RJMP __ZERORES
__REPACK0:
	CPI  R21,0xFF
	BREQ __REPACK1
	LSL  R22
	LSL  R0
	ROR  R21
	ROR  R22
	MOV  R23,R21
	RET
__REPACK1:
	PUSH R21
	TST  R0
	BRMI __REPACK2
	RJMP __MAXRES
__REPACK2:
	RJMP __MINRES

__UNPACK:
	LDI  R21,0x80
	MOV  R1,R25
	AND  R1,R21
	LSL  R24
	ROL  R25
	EOR  R25,R21
	LSL  R21
	ROR  R24

__UNPACK1:
	LDI  R21,0x80
	MOV  R0,R23
	AND  R0,R21
	LSL  R22
	ROL  R23
	EOR  R23,R21
	LSL  R21
	ROR  R22
	RET

__CFD1:
	PUSH R21
	RCALL __UNPACK1
	CPI  R23,0x80
	BRLO __CFD10
	CPI  R23,0xFF
	BRCC __CFD10
	RJMP __ZERORES
__CFD10:
	LDI  R21,22
	SUB  R21,R23
	BRPL __CFD11
	NEG  R21
	CPI  R21,8
	BRLO __CFD17
	SER  R30
	SER  R31
	SER  R22
	LDI  R23,0x7F
	RJMP __CFD15
__CFD17:
	CLR  R23
	TST  R21
	BREQ __CFD15
__CFD18:
	LSL  R30
	ROL  R31
	ROL  R22
	ROL  R23
	DEC  R21
	BRNE __CFD18
	RJMP __CFD15
__CFD11:
	CLR  R23
__CFD12:
	CPI  R21,8
	BRLO __CFD13
	MOV  R30,R31
	MOV  R31,R22
	MOV  R22,R23
	SUBI R21,8
	RJMP __CFD12
__CFD13:
	TST  R21
	BREQ __CFD15
__CFD14:
	LSR  R23
	ROR  R22
	ROR  R31
	ROR  R30
	DEC  R21
	BRNE __CFD14
__CFD15:
	TST  R0
	BRPL __CFD16
	RCALL __ANEGD1
__CFD16:
	POP  R21
	RET

__CDF1U:
	SET
	RJMP __CDF1U0
__CDF1:
	CLT
__CDF1U0:
	SBIW R30,0
	SBCI R22,0
	SBCI R23,0
	BREQ __CDF10
	CLR  R0
	BRTS __CDF11
	TST  R23
	BRPL __CDF11
	COM  R0
	RCALL __ANEGD1
__CDF11:
	MOV  R1,R23
	LDI  R23,30
	TST  R1
__CDF12:
	BRMI __CDF13
	DEC  R23
	LSL  R30
	ROL  R31
	ROL  R22
	ROL  R1
	RJMP __CDF12
__CDF13:
	MOV  R30,R31
	MOV  R31,R22
	MOV  R22,R1
	PUSH R21
	RCALL __REPACK
	POP  R21
__CDF10:
	RET

__SWAPACC:
	MOV  R21,R30
	MOV  R30,R26
	MOV  R26,R21
	MOV  R21,R31
	MOV  R31,R27
	MOV  R27,R21
	MOV  R21,R22
	MOV  R22,R24
	MOV  R24,R21
	MOV  R21,R23
	MOV  R23,R25
	MOV  R25,R21
	MOV  R21,R0
	MOV  R0,R1
	MOV  R1,R21
	RET

__UADD12:
	ADD  R30,R26
	ADC  R31,R27
	ADC  R22,R24
	RET

__NEGMAN1:
	COM  R30
	COM  R31
	COM  R22
	SUBI R30,-1
	SBCI R31,-1
	SBCI R22,-1
	RET

__SUBF12:
	PUSH R21
	RCALL __UNPACK
	CPI  R25,0x80
	BREQ __ADDF129
	LDI  R21,0x80
	EOR  R1,R21

	RJMP __ADDF120

__ADDF12:
	PUSH R21
	RCALL __UNPACK
	CPI  R25,0x80
	BREQ __ADDF129

__ADDF120:
	CPI  R23,0x80
	BREQ __ADDF128
__ADDF121:
	MOV  R21,R23
	SUB  R21,R25
	BRVS __ADDF129
	BRPL __ADDF122
	RCALL __SWAPACC
	RJMP __ADDF121
__ADDF122:
	CPI  R21,24
	BRLO __ADDF123
	CLR  R26
	CLR  R27
	CLR  R24
__ADDF123:
	CPI  R21,8
	BRLO __ADDF124
	MOV  R26,R27
	MOV  R27,R24
	CLR  R24
	SUBI R21,8
	RJMP __ADDF123
__ADDF124:
	TST  R21
	BREQ __ADDF126
__ADDF125:
	LSR  R24
	ROR  R27
	ROR  R26
	DEC  R21
	BRNE __ADDF125
__ADDF126:
	MOV  R21,R0
	EOR  R21,R1
	BRMI __ADDF127
	RCALL __UADD12
	BRCC __ADDF129
	ROR  R22
	ROR  R31
	ROR  R30
	INC  R23
	BRVC __ADDF129
	RJMP __MAXRES
__ADDF128:
	RCALL __SWAPACC
__ADDF129:
	RCALL __REPACK
	POP  R21
	RET
__ADDF127:
	SUB  R30,R26
	SBC  R31,R27
	SBC  R22,R24
	BREQ __ZERORES
	BRCC __ADDF1210
	COM  R0
	RCALL __NEGMAN1
__ADDF1210:
	TST  R22
	BRMI __ADDF129
	LSL  R30
	ROL  R31
	ROL  R22
	DEC  R23
	BRVC __ADDF1210

__MINRES:
	SER  R30
	SER  R31
	LDI  R22,0x7F
	SER  R23
	POP  R21
	RET

__ZERORES:
	CLR  R30
	CLR  R31
	CLR  R22
	CLR  R23
	POP  R21
	RET

__MAXRES:
	SER  R30
	SER  R31
	LDI  R22,0x7F
	LDI  R23,0x7F
	POP  R21
	RET

__MULF12:
	PUSH R21
	RCALL __UNPACK
	CPI  R23,0x80
	BREQ __ZERORES
	CPI  R25,0x80
	BREQ __ZERORES
	EOR  R0,R1
	SEC
	ADC  R23,R25
	BRVC __MULF124
	BRLT __ZERORES
__MULF125:
	TST  R0
	BRMI __MINRES
	RJMP __MAXRES
__MULF124:
	PUSH R19
	PUSH R20
	CLR  R1
	CLR  R19
	CLR  R20
	CLR  R21
	LDI  R25,24
__MULF120:
	LSL  R19
	ROL  R20
	ROL  R21
	ROL  R30
	ROL  R31
	ROL  R22
	BRCC __MULF121
	ADD  R19,R26
	ADC  R20,R27
	ADC  R21,R24
	ADC  R30,R1
	ADC  R31,R1
	ADC  R22,R1
__MULF121:
	DEC  R25
	BRNE __MULF120
	POP  R20
	POP  R19
	TST  R22
	BRMI __MULF122
	LSL  R21
	ROL  R30
	ROL  R31
	ROL  R22
	RJMP __MULF123
__MULF122:
	INC  R23
	BRVS __MULF125
__MULF123:
	RCALL __REPACK
	POP  R21
	RET

__DIVF21:
	PUSH R21
	RCALL __UNPACK
	CPI  R23,0x80
	BRNE __DIVF210
	TST  R1
__DIVF211:
	BRPL __MAXRES
	RJMP __MINRES
__DIVF210:
	CPI  R25,0x80
	BRNE __DIVF218
__DIVF217:
	RJMP __ZERORES
__DIVF218:
	EOR  R0,R1
	SEC
	SBC  R25,R23
	BRVC __DIVF216
	BRLT __DIVF217
	TST  R0
	RJMP __DIVF211
__DIVF216:
	MOV  R23,R25
	LSR  R22
	ROR  R31
	ROR  R30
	LSR  R24
	ROR  R27
	ROR  R26
	PUSH R20
	CLR  R1
	CLR  R20
	CLR  R21
	LDI  R25,24
__DIVF212:
	CP   R26,R30
	CPC  R27,R31
	CPC  R24,R22
	BRLO __DIVF213
	SUB  R26,R30
	SBC  R27,R31
	SBC  R24,R22
	SEC
	RJMP __DIVF214
__DIVF213:
	CLC
__DIVF214:
	ROL  R1
	ROL  R20
	ROL  R21
	ROL  R26
	ROL  R27
	ROL  R24
	DEC  R25
	BRNE __DIVF212
	MOV  R30,R1
	MOV  R31,R20
	MOV  R22,R21
	LSR  R26
	ADC  R30,R25
	ADC  R31,R25
	ADC  R22,R25
	POP  R20
	TST  R22
	BRMI __DIVF215
	LSL  R30
	ROL  R31
	ROL  R22
	DEC  R23
	BRVS __DIVF217
__DIVF215:
	RCALL __REPACK
	POP  R21
	RET

__CMPF12:
	TST  R25
	BRMI __CMPF120
	TST  R23
	BRMI __CMPF121
	CP   R25,R23
	BRLO __CMPF122
	BRNE __CMPF121
	CP   R26,R30
	CPC  R27,R31
	CPC  R24,R22
	BRLO __CMPF122
	BREQ __CMPF123
__CMPF121:
	CLZ
	CLC
	RET
__CMPF122:
	CLZ
	SEC
	RET
__CMPF123:
	SEZ
	CLC
	RET
__CMPF120:
	TST  R23
	BRPL __CMPF122
	CP   R25,R23
	BRLO __CMPF121
	BRNE __CMPF122
	CP   R30,R26
	CPC  R31,R27
	CPC  R22,R24
	BRLO __CMPF122
	BREQ __CMPF123
	RJMP __CMPF121

__SAVELOCR6:
	ST   -Y,R21
__SAVELOCR5:
	ST   -Y,R20
__SAVELOCR4:
	ST   -Y,R19
__SAVELOCR3:
	ST   -Y,R18
__SAVELOCR2:
	ST   -Y,R17
	ST   -Y,R16
	RET

__LOADLOCR6:
	LDD  R21,Y+5
__LOADLOCR5:
	LDD  R20,Y+4
__LOADLOCR4:
	LDD  R19,Y+3
__LOADLOCR3:
	LDD  R18,Y+2
__LOADLOCR2:
	LDD  R17,Y+1
	LD   R16,Y
	RET

__INITLOCB:
__INITLOCW:
	ADD R26,R28
	ADC R27,R29
__INITLOC0:
	LPM  R0,Z+
	ST   X+,R0
	DEC  R24
	BRNE __INITLOC0
	RET

